<?php
// Version: 2.0; Display

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings, $boardurl;

	// Let them know, if their report was a success!
	if ($context['report_sent'])
	{
		echo '
			<div class="windowbg" id="profile_success">
				', $txt['report_sent'], '
			</div>';
	}

	// Show the anchor for the top and for the first message. If the first message is new, say so.
	echo '
			<a id="top"></a>
			<a id="msg', $context['first_message'], '"></a>', $context['first_new_message'] ? '<a id="new"></a>' : '';

	// Is this topic also a poll?
	if(!empty($settings['multiple_polls']))
	{
    if ($context['is_poll'])
    {
      foreach($context['polls'] as $context['poll'])
      {
  			$context['allow_vote'] = $context['poll']['allow_vote'];
  			$context['allow_poll_view'] = $context['poll']['allow_poll_view'];
  			$context['allow_change_vote'] = $context['poll']['allow_change_vote'];

      echo '
			<div class="poll" style="clear: both; padding-top: 15px">
				<div class="cat_bar">
					<h3 class="catbg">
						<span class="ie6_header floatleft"><img src="', $settings['images_url'], '/topic/', $context['poll']['is_locked'] ? 'normal_poll_locked' : 'normal_poll', '.gif" alt="" class="icon" /> ', $txt['poll'], '</span>
					</h3>
				</div>
				<div class="windowbg">
					<span class="topslice"><span></span></span>
					<div class="content poll_options">
						<h4 class="pollquestion">
							', $context['poll']['question'], '
						</h4>';

      // Are they not allowed to vote but allowed to view the options?
      if ($context['poll']['show_results'] || !$context['allow_vote'])
      {
        echo '
					<dl class="options">';

        // Show each option with its corresponding percentage bar.
        foreach ($context['poll']['options'] as $option)
        {
          echo '
						<dt class="middletext', $option['voted_this'] ? ' voted' : '', '">', $option['option'], '</dt>
						<dd class="middletext statsbar', $option['voted_this'] ? ' voted' : '', '">';

          if ($context['allow_poll_view'])
          {
            echo '
							', $option['bar_ndt'], '
							<span class="percentage">', $option['votes'], ' (', $option['percent'], '%)</span>';
          }
          echo '
						</dd>';
        }
        echo '
					</dl>';

       if ($context['allow_poll_view'])
       {
         echo '
						<p><strong>', $txt['poll_total_voters'], ':</strong> ', $context['poll']['total_votes'], '</p>';
       }
      }
      // They are allowed to vote! Go to it!
      else
      {
        echo '
						<form action="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], '" method="post" accept-charset="', $context['character_set'], '">';

        // Show a warning if they are allowed more than one option.
        if ($context['poll']['allowed_warning'])
				{
          echo '
							<p class="smallpadding">', $context['poll']['allowed_warning'], '</p>';
				}
        echo '
							<ul class="reset options">';

			// Show each option with its button - a radio likely.
			foreach ($context['poll']['options'] as $option)
			{
				echo '
								<li class="middletext">', $option['vote_button'], ' <label for="', $option['id'], '">', $option['option'], '</label></li>';
			}
      echo '
							</ul>
							<div class="submitbutton">
								<input type="submit" value="', $txt['poll_vote'], '" class="button_submit" />
								<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
							</div>
						</form>';
      }

      // Is the clock ticking?
      if (!empty($context['poll']['expire_time']))
      {
        echo '
						<p><strong>', ($context['poll']['is_expired'] ? $txt['poll_expired_on'] : $txt['poll_expires_on']), ':</strong> ', $context['poll']['expire_time'], '</p>';
      }
      echo '
					</div>
					<span class="botslice"><span></span></span>
				</div>
			</div>
			<div class="pollmoderation">';

			$context['allow_return_vote'] = $context['poll']['allow_return_vote'];
			$context['show_view_results_button'] = $context['poll']['show_view_results_button'];
			$context['allow_change_vote'] = $context['poll']['allow_change_vote'];

      // Build the poll moderation button array.
      $poll_buttons = array(
  			'vote' => array('test' => 'allow_return_vote', 'text' => 'poll_return_vote', 'image' => 'poll_options.gif', 'lang' => true, 'url' => $scripturl . '?topic=' . $context['current_topic'] . '.' . $context['start'] . ';poll=' . $context['poll']['id']),
  			'results' => array('test' => 'show_view_results_button', 'text' => 'poll_results', 'image' => 'poll_results.gif', 'lang' => true, 'url' => $scripturl . '?topic=' . $context['current_topic'] . '.' . $context['start'] . ';viewresults' . ';poll=' . $context['poll']['id']),
  			'change_vote' => array('test' => 'allow_change_vote', 'text' => 'poll_change_vote', 'image' => 'poll_change_vote.gif', 'lang' => true, 'url' => $scripturl . '?action=vote;topic=' . $context['current_topic'] . '.' . $context['start'] . ';poll=' . $context['poll']['id'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  			'lock' => array('test' => 'allow_lock_poll', 'text' => (!$context['poll']['is_locked'] ? 'poll_lock' : 'poll_unlock'), 'image' => 'poll_lock.gif', 'lang' => true, 'url' => $scripturl . '?action=lockvoting;topic=' . $context['current_topic'] . '.' . $context['start'] . ';poll=' . $context['poll']['id'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  			'edit' => array('test' => 'allow_edit_poll', 'text' => 'poll_edit', 'image' => 'poll_edit.gif', 'lang' => true, 'url' => $scripturl . '?action=editpoll;topic=' . $context['current_topic'] . '.' . $context['start'] . ';poll=' . $context['poll']['id']),
  			'remove_poll' => array('test' => 'can_remove_poll', 'text' => 'poll_remove', 'image' => 'admin_remove_poll.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['poll_remove_warn'] . '\');"', 'url' => $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id'] . ';poll=' . $context['poll']['id']),
		);

      template_button_strip($poll_buttons);

      echo '
			</div>';
      }
    }
		unset($context['poll']);
		unset($context['allow_vote']);
		unset($context['allow_poll_view']);
		unset($context['allow_change_vote']);
	}
	else
	{
    // Is this topic also a poll?
    if ($context['is_poll'])
    {
      echo '
			<div class="poll">
				<div class="cat_bar">
					<h3 class="catbg">
						<span class="ie6_header floatleft"><img src="', $settings['images_url'], '/topic/', $context['poll']['is_locked'] ? 'normal_poll_locked' : 'normal_poll', '.gif" alt="" class="icon" /> ', $txt['poll'], '</span>
					</h3>
				</div>
				<div class="windowbg">
					<span class="topslice"><span></span></span>
					<div class="content poll_options">
						<h4 class="pollquestion">
							', $context['poll']['question'], '
						</h4>';

      // Are they not allowed to vote but allowed to view the options?
      if ($context['poll']['show_results'] || !$context['allow_vote'])
      {
        echo '
					<dl class="options">';

        // Show each option with its corresponding percentage bar.
        foreach ($context['poll']['options'] as $option)
        {
          echo '
						<dt class="middletext', $option['voted_this'] ? ' voted' : '', '">', $option['option'], '</dt>
						<dd class="middletext statsbar', $option['voted_this'] ? ' voted' : '', '">';

          if ($context['allow_poll_view'])
          {
            echo '
							', $option['bar_ndt'], '
							<span class="percentage">', $option['votes'], ' (', $option['percent'], '%)</span>';
          }
          echo '
						</dd>';
        }
        echo '
					</dl>';

        if ($context['allow_poll_view'])
        {
          echo '
						<p><strong>', $txt['poll_total_voters'], ':</strong> ', $context['poll']['total_votes'], '</p>';
				}
      }
      // They are allowed to vote! Go to it!
      else
      {
        echo '
						<form action="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], '" method="post" accept-charset="', $context['character_set'], '">';

        // Show a warning if they are allowed more than one option.
        if ($context['poll']['allowed_warning'])
        {
          echo '
							<p class="smallpadding">', $context['poll']['allowed_warning'], '</p>';
        }
        echo '
							<ul class="reset options">';

        // Show each option with its button - a radio likely.
        foreach ($context['poll']['options'] as $option)
        {
          echo '
								<li class="middletext">', $option['vote_button'], ' <label for="', $option['id'], '">', $option['option'], '</label></li>';
        }
        echo '
							</ul>
							<div class="submitbutton">
								<input type="submit" value="', $txt['poll_vote'], '" class="button_submit" />
								<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
							</div>
						</form>';
      }

      // Is the clock ticking?
      if (!empty($context['poll']['expire_time']))
      {
        echo '
						<p><strong>', ($context['poll']['is_expired'] ? $txt['poll_expired_on'] : $txt['poll_expires_on']), ':</strong> ', $context['poll']['expire_time'], '</p>';
      }
      echo '
					</div>
					<span class="botslice"><span></span></span>
				</div>
			</div>
			<div class="pollmoderation">';

		// Build the poll moderation button array.
		$poll_buttons = array(
			'vote' => array('test' => 'allow_return_vote', 'text' => 'poll_return_vote', 'image' => 'poll_options.gif', 'lang' => true, 'url' => $scripturl . '?topic=' . $context['current_topic'] . '.' . $context['start']),
			'results' => array('test' => 'show_view_results_button', 'text' => 'poll_results', 'image' => 'poll_results.gif', 'lang' => true, 'url' => $scripturl . '?topic=' . $context['current_topic'] . '.' . $context['start'] . ';viewresults'),
			'change_vote' => array('test' => 'allow_change_vote', 'text' => 'poll_change_vote', 'image' => 'poll_change_vote.gif', 'lang' => true, 'url' => $scripturl . '?action=vote;topic=' . $context['current_topic'] . '.' . $context['start'] . ';poll=' . $context['poll']['id'] . ';' . $context['session_var'] . '=' . $context['session_id']),
			'lock' => array('test' => 'allow_lock_poll', 'text' => (!$context['poll']['is_locked'] ? 'poll_lock' : 'poll_unlock'), 'image' => 'poll_lock.gif', 'lang' => true, 'url' => $scripturl . '?action=lockvoting;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
			'edit' => array('test' => 'allow_edit_poll', 'text' => 'poll_edit', 'image' => 'poll_edit.gif', 'lang' => true, 'url' => $scripturl . '?action=editpoll;topic=' . $context['current_topic'] . '.' . $context['start']),
			'remove_poll' => array('test' => 'can_remove_poll', 'text' => 'poll_remove', 'image' => 'admin_remove_poll.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['poll_remove_warn'] . '\');"', 'url' => $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
		);

		template_button_strip($poll_buttons);

		echo '
			</div>';
    }
	}


	// Does this topic have some events linked to it?
	if (!empty($context['linked_calendar_events']))
	{
		echo '
			<div class="linked_events">
				<div class="title_bar">
					<h3 class="titlebg headerpadding">', $txt['calendar_linked_events'], '</h3>
				</div>
				<div class="windowbg">
					<span class="topslice"><span></span></span>
					<div class="content">
						<ul class="reset">';

		foreach ($context['linked_calendar_events'] as $event)
			echo '
							<li>
								', ($event['can_edit'] ? '<a href="' . $event['modify_href'] . '"> <img src="' . $settings['images_url'] . '/icons/modify_small.gif" alt="" title="' . $txt['modify'] . '" class="edit_event" /></a> ' : ''), '<strong>', $event['title'], '</strong>: ', $event['start_date'], ($event['start_date'] != $event['end_date'] ? ' - ' . $event['end_date'] : ''), '
							</li>';

		echo '
						</ul>
					</div>
					<span class="botslice"><span></span></span>
				</div>
			</div>';
	}

	if(!empty($settings['adkportal_enable']))
  {
    if(allowedTo('adk_portal'))
    {
      $context['adk_portal'] = true;
      $string = !empty($context['adk_id_new']) ? 'remove' : 'add';
    }
    $normal_buttons = array(
  		'addthistopic' => array('test' => 'adk_portal', 'text' => 'adk_'.$string.'_this_topic', 'image' => 'reply.gif', 'lang' => true, 'url' => $scripturl . '?action=addthistopic;'.$string.'=' . $context['current_topic']),
  		'reply' => array('test' => 'can_reply', 'text' => 'reply', 'image' => 'reply.gif', 'lang' => true, 'url' => $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';last_msg=' . $context['topic_last_message'], 'active' => true),
  		'add_poll' => array('test' => 'can_add_poll', 'text' => 'add_poll', 'image' => 'add_poll.gif', 'lang' => true, 'url' => $scripturl . '?action=editpoll;add;topic=' . $context['current_topic'] . '.' . $context['start']),
  		'notify' => array('test' => 'can_mark_notify', 'text' => $context['is_marked_notify'] ? 'unnotify' : 'notify', 'image' => ($context['is_marked_notify'] ? 'un' : '') . 'notify.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']) . '\');"', 'url' => $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'mark_unread' => array('test' => 'can_mark_unread', 'text' => 'mark_unread', 'image' => 'markunread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=topic;t=' . $context['mark_unread_time'] . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'send' => array('test' => 'can_send_topic', 'text' => 'send_topic', 'image' => 'sendtopic.gif', 'lang' => true, 'url' => $scripturl . '?action=emailuser;sa=sendtopic;topic=' . $context['current_topic'] . '.0'),
  		'print' => array('text' => 'print', 'image' => 'print.gif', 'lang' => true, 'custom' => 'rel="new_win nofollow"', 'url' => $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0'),
    );
  }
  else
  {
    // Build the normal button array.
	  $normal_buttons = array(
  		'reply' => array('test' => 'can_reply', 'text' => 'reply', 'image' => 'reply.gif', 'lang' => true, 'url' => $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';last_msg=' . $context['topic_last_message'], 'active' => true),
  		'add_poll' => array('test' => 'can_add_poll', 'text' => 'add_poll', 'image' => 'add_poll.gif', 'lang' => true, 'url' => $scripturl . '?action=editpoll;add;topic=' . $context['current_topic'] . '.' . $context['start']),
  		'notify' => array('test' => 'can_mark_notify', 'text' => $context['is_marked_notify'] ? 'unnotify' : 'notify', 'image' => ($context['is_marked_notify'] ? 'un' : '') . 'notify.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']) . '\');"', 'url' => $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'mark_unread' => array('test' => 'can_mark_unread', 'text' => 'mark_unread', 'image' => 'markunread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=topic;t=' . $context['mark_unread_time'] . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'send' => array('test' => 'can_send_topic', 'text' => 'send_topic', 'image' => 'sendtopic.gif', 'lang' => true, 'url' => $scripturl . '?action=emailuser;sa=sendtopic;topic=' . $context['current_topic'] . '.0'),
  		'print' => array('text' => 'print', 'image' => 'print.gif', 'lang' => true, 'custom' => 'rel="new_win nofollow"', 'url' => $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0'),
    );
  }
	if(!empty($settings['simple_desk_enable']))
	{
    $normal_buttons = array_merge($normal_buttons,array('topictoticket' => array('test' => 'can_move_to_helpdesk', 'text' => 'shd_move_topic_to_ticket', 'lang' => true, 'url' => $scripturl . '?action=helpdesk;sa=topictoticket;topic='.$context['current_topic'].';' . $context['session_var'] . '=' . $context['session_id'])));
	}

	// Allow adding new buttons easily.
	call_integration_hook('integrate_display_buttons', array(&$normal_buttons));

		// SimpleDesk: Add topic -> ticket button
	$normal_buttons = array_merge($normal_buttons,array('topictoticket' => array('test' => 'can_move_to_helpdesk', 'text' => 'shd_move_topic_to_ticket', 'lang' => true, 'url' => $scripturl . '?action=helpdesk;sa=topictoticket;topic='.$context['current_topic'].';' . $context['session_var'] . '=' . $context['session_id'])));
// Show the page index... "Pages: [1]".
	echo '
			<div class="pagesection">
				<div class="nextlinks">', $context['previous_next'], '</div>', template_button_strip($normal_buttons, 'right'), '
				<div class="pagelinks floatleft">
          <strong>', $txt['pages'], '</strong>: ', !empty($settings['pagelinks']) ? $context['prev_topic_page'] : '' , ' ' , $context['page_index'], ' ', !empty($settings['pagelinks']) ? $context['next_topic_page'] : '' , '
          ' , !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . ' &nbsp;&nbsp;<a href="#lastPost"><strong>' . $txt['go_down'] . '</strong></a>' : '', '
        </div>
			</div>';

// Topic Note
	if (!empty($context['topic_note']) && $context['allow_topic_note'] && !empty($settings['akyne_topic_notes'])) 
  {
		$pos = strpos($modSettings['topicnote_html'], '[note]');

		if (!$pos === false && $modSettings['topicnote_view'] == 2) 
    {
			$topicHtml = explode('[note]', $modSettings['topicnote_html']);
		} 
    else 
    {
			$topicHtml = array();
		
			//Use Topic Header View
			if ($modSettings['topicnote_view'] == 0) 
      {
				$topicHtml[] = '<h3 class="catbg"><span class="left"></span>';
				$topicHtml[] = '</h3>';
		
			//Use Box View
			} 
      else if 
      ($modSettings['topicnote_view'] == 1) 
      {
				$topicHtml[] = '<div class="windowbg" style="padding:5px;margin-bottom:6px">';
				$topicHtml[] = '</div>';
			}
		}

		if ($modSettings['topicnote_bbc'] === 0 || $modSettings['topicnote_textcolor'] == '')
		{
			echo $topicHtml[0] . $context['topic_note'] . $topicHtml[1];
		}
		else
		{
			echo $topicHtml[0] . '<span style="color:' . $modSettings['topicnote_textcolor'] . '">' . $context['topic_note'] . '</span>'. $topicHtml[1];
		}
	}
	// End Topic Note

	// Show the topic information - icon, subject, etc.
	echo '
			<div id="forumposts">
				<div class="cat_bar">
					<h3 class="catbg">
						<img src="', $settings['images_url'], '/topic/', $context['class'], '.gif" align="bottom" alt="" />
						<span id="author">', $txt['author'], '</span>
						', $txt['topic'], ': ', $context['subject'], ' &nbsp;(', $txt['read'], ' ', $context['num_views'], ' ', $txt['times'], ')
					</h3>
				</div>';

	if (!empty($settings['display_who_viewing']))
	{
		echo '
				<div id="whoisviewing" class="titlebgsmall">';

		// Show just numbers...?
		if ($settings['display_who_viewing'] == 1)
				echo count($context['view_members']), ' ', count($context['view_members']) == 1 ? $txt['who_member'] : $txt['members'];
		// Or show the actual people viewing the topic?
		else
			echo empty($context['view_members_list']) ? '0 ' . $txt['members'] : implode(', ', $context['view_members_list']) . ((empty($context['view_num_hidden']) || $context['can_moderate_forum']) ? '' : ' (+ ' . $context['view_num_hidden'] . ' ' . $txt['hidden'] . ')');

		// Now show how many guests are here too.
		echo $txt['who_and'], $context['view_num_guests'], ' ', $context['view_num_guests'] == 1 ? $txt['guest'] : $txt['guests'], $txt['who_viewing_topic'], '
				</div>';
	}

	echo '
				<form action="', $scripturl, '?action=quickmod2;topic=', $context['current_topic'], '.', $context['start'], '" method="post" accept-charset="', $context['character_set'], '" name="quickModForm" id="quickModForm" style="margin: 0;" onsubmit="return oQuickModify.bInEditMode ? oQuickModify.modifySave(\'' . $context['session_id'] . '\', \'' . $context['session_var'] . '\') : false">';

	$ignoredMsgs = array();
	$removableMessageIDs = array();
	$alternate = false;

	// Get all the messages...
	while ($message = $context['get_message']())
	{
    if(!empty($settings['simpleads_enable']))
    {
      if (!isset($msg_counter))
			$msg_counter = 0;
      if (++$msg_counter == 2)
			template_ad_position('after_first_post');
    }
		$ignoring = false;
		$alternate = !$alternate;
		if ($message['can_remove'])
			$removableMessageIDs[] = $message['id'];

		// Are we ignoring this message?
		if (!empty($message['is_ignored']))
		{
			$ignoring = true;
			$ignoredMsgs[] = $message['id'];
		}

		// Show the message anchor and a "new" anchor if this message is new.
		if ($message['id'] != $context['first_message'])
			echo '
				<a id="msg', $message['id'], '"></a>', $message['first_new'] ? '<a id="new"></a>' : '';

    if(!empty($settings['page_navigation']))
    {
      echo '
				<a name="' , $message['counter'] , '"></a>';
    }

		echo '
		<div style="clear: both; margin-top: 1px;">';

		// Start with the Poster bit
		echo'
  		<div style="float: left; width: 16em; margin-right: 5px;">
        <div class="', $message['approved'] ? ($message['alternate'] == 0 ? 'topicbg' : 'topicbg2') : 'approvalbg', '">
          <span class="topslice"><span></span></span>
          <div style="padding-left: 10px; padding-right: 10px;" class="poster">
            <h4>', $message['member']['link'], '</h4>
            <ul class="reset smalltext" id="msg_', $message['id'], '_extra_info">';
            
		// Show the member's custom title, if they have one.
		if (!empty($message['member']['title']))
		{
      echo '
								<li class="title">', $message['member']['title'], '</li>';
		}
		// Show the member's primary group (like 'Administrator') if they have one.
		if (!empty($message['member']['group']))
		{
			echo '
								<li class="membergroup">', $message['member']['group'], '</li>';
		}
		// Don't show these things for guests.
		if (!$message['member']['is_guest'])
		{
      
			// Show the post group if and only if they have no other group or the option is on, and they are in a post group.
			if ((empty($settings['hide_post_group']) || $message['member']['group'] == '') && $message['member']['post_group'] != '')  
			{
				echo '
								<li style="margin-bottom: -4px;">', $message['member']['post_group'], '</li>';
			}
        
        // Lets display the membergroup stars.
        echo '
								<li class="stars">', $message['member']['group_stars'], '</li>';

  			// Show avatars, images, etc.?
  			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($message['member']['avatar']['image']))
  			{
  				echo '
								<li class="avatar">
									<a href="', $scripturl, '?action=profile;u=', $message['member']['id'], '">
										', $message['member']['avatar']['image'], '
									</a>
								</li>';
  			}

  			// Show their personal text?
  			if (!empty($settings['show_blurb']) && $message['member']['blurb'] != '')
  			{
  				echo '
								<li class="blurb">', $message['member']['blurb'], '</li>';
  			}
        
        // Are we showing the warning status?
        if ($message['member']['can_see_warning'])
        {
          echo '
								<li class="warning">', $context['can_issue_warning'] ? '<a href="' . $scripturl . '?action=profile;area=issuewarning;u=' . $message['member']['id'] . '">' : '', '<img src="', $settings['images_url'], '/warning_', $message['member']['warning_status'], '.gif" alt="', $txt['user_warn_' . $message['member']['warning_status']], '" />', $context['can_issue_warning'] ? '</a>' : '', '<span class="warn_', $message['member']['warning_status'], '">', $txt['warn_' . $message['member']['warning_status']], '</span></li>';
        }

  			// Any custom fields for standard placement?
  			if (!empty($message['member']['custom_fields']))
  			{
  				foreach ($message['member']['custom_fields'] as $custom)
  					if (empty($custom['placement']) || empty($custom['value']))
  						echo '
								<li class="custom"><strong>', $custom['title'], '</strong>: ', $custom['value'], '</li>';
  			}
  			
  			// Is karma display enabled?  Total or +/-?
  			if ($modSettings['karmaMode'] == '1')
  			{
  				echo '
								<li class="karma"><strong>', $modSettings['karmaLabel'], '</strong> ', $message['member']['karma']['good'] - $message['member']['karma']['bad'], '</li>';
  			}
  			elseif ($modSettings['karmaMode'] == '2')
  			{
  				echo '
								<li class="karma"><strong>', $modSettings['karmaLabel'], '</strong> +', $message['member']['karma']['good'], '/-', $message['member']['karma']['bad'], '</li>';
  			}

  			// Is this user allowed to modify this member's karma?
  			if ($message['member']['karma']['allow'])
  			{
  				echo '
								<li class="karma_allow">
									<a href="', $scripturl, '?action=modifykarma;sa=applaud;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.' . $context['start'], ';m=', $message['id'], ';', $context['session_var'], '=', $context['session_id'], '">', $modSettings['karmaApplaudLabel'], '</a>
									| 
                  <a href="', $scripturl, '?action=modifykarma;sa=smite;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';m=', $message['id'], ';', $context['session_var'], '=', $context['session_id'], '">', $modSettings['karmaSmiteLabel'], '</a>
								</li>';
  			}

  			// Show how many posts they have made.
  			if (!isset($context['disabled_fields']['posts'])) 
  			{
  				echo '
								<li class="postcount"><strong>', $txt['member_postcount'], '</strong>: ', $message['member']['posts'], '</li>';
				}
				
  			// Show how many topics they have started.
  			if (!isset($context['disabled_fields']['topics']) && !empty($settings['topic_display']))
  			{
          echo '
								<li class="topiccount"><strong>', $txt['topiccount'], '</strong>: ', $message['member']['topics'], '</li>';
				}

  			// Location?
  			if (!isset($message['location']) && $message['member']['location'] != '' && !empty($settings['display_location']))
  			{
  				 echo '
								<li class="location"><strong>', $txt['location'], '</strong>: ', ' ', $message['member']['location'], '</li>';
  			}
  			
  			// Join Date
  			if (!empty($settings['join_date_display']))
  			{
  				 echo '
								<li class="joindate"><strong>', $txt['date_joined'], '</strong>: ', timeformat($message['member']['registered_timestamp'] ,'%d %B %Y'), '</li>';
				}			

    		// Show the IP to this user for this post - because you can moderate?
    		if ($context['can_moderate_forum'] && !empty($message['member']['ip']))
    		{
    			echo '
								<li class="ip"><strong>' , $txt['ip'] , '</strong>: <a href="', $scripturl, '?action=', !empty($message['member']['is_guest']) ? 'trackip' : 'profile;area=tracking;sa=ip;u=' . $message['member']['id'], ';searchip=', $message['member']['ip'], '">', $message['member']['ip'], '</a></li>';
				}
    		// Or, should we show it because this is you?
    		elseif ($message['can_see_ip'])      
    		{
    			echo '
								<li class="ip"><strong>' , $txt['ip'] , '</strong>: <a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $message['member']['ip'], '</a></li>';
				}

  			//Member ID?
  			if(!empty($settings['member_id']))
  			{
          echo'
								<li class="memid"><strong>' , $txt['memid'] , '</strong>: ', $message['member']['id'], '</li>';
  			}

  			// Load some icons, but there will be multiple conditionals.
  			if($context['topic_starter_id'] == $message['member']['id'] && !empty($settings['topicstart_icon']) || !empty($settings['show_gender']) && $message['member']['gender']['image'] != '' && !isset($context['disabled_fields']['gender']))
  			{
          echo'
  							<li style="padding-top: 10px;">
  								<ul>';
  			}

    		// show if it's the topic starter
    		if($context['topic_starter_id'] == $message['member']['id'] && !empty($settings['topicstart_icon']))
    		{
          echo '
    								<li class="starter"><img src="', $settings['images_url'], '/topicstart.png" alt="" title="' , $txt['topicstart'] , '" /></li>';
    		}
			
    		// Show the member's gender icon?
    		if(!empty($settings['show_gender']) && $message['member']['gender']['image'] != '' && !isset($context['disabled_fields']['gender']))
    		{
          echo '
    								<li class="gender">', $message['member']['gender']['image'] , '</li>';
    		}

    		// Show the country they hail from!
    		if (isset($message['member']['country_flag']) && !empty($modSettings['country_flag_show']) && !empty($message['member']['country_flag']) && $settings['countryflag_enable'] == 1)
    		{
          $flags = country_flags();
          echo '
    								<li class="flag"><img src="', $settings['images_url'], '/flags/', $message['member']['country_flag'], '.png" alt="', $message['member']['country_flag'], '" title="', $flags[$message['member']['country_flag']], '" /></li>';
    		}
    		
  			//OS & Browser Detection
  			if (allowedTo('view_os_browser') && !empty($settings['osbrowser_detect']))
        {
  				if ($message['ua_os'] || $message['ua_browser'])
          {
  					if ($message['ua_os'])
            {
  						echo '
    								<li><img src="', $settings['default_images_url'], '/osbrowser/', $message['ua_os_icon'], '.png" title="', $message['ua_os'], '" alt="" /></li>';
  					}
            else
            {
  						echo '
    								<li><img src="', $settings['default_images_url'], '/osbrowser/unknown.png" title="', $txt['OS_Browser_Unknown'], '" alt="" /></li>';
  					}
  					if ($message['ua_browser'])
            {
  						echo '
    								<li><img src="', $settings['default_images_url'], '/osbrowser/', $message['ua_browser_icon'], '.png" title="', $message['ua_browser'], '" alt="" /></li>';
  					}
            else
            {
  						echo '
    								<li><img src="', $settings['default_images_url'], '/osbrowser/unknown.png" align="top" title="', $txt['OS_Browser_Unknown'], '" alt="" /></li>';
  					}
  				}
  			}

  			// Close it.
  			if($context['topic_starter_id'] == $message['member']['id'] && !empty($settings['topicstart_icon']) || !empty($settings['show_gender']) && $message['member']['gender']['image'] != '' && !isset($context['disabled_fields']['gender']) || isset($message['member']['country_flag']) && !empty($modSettings['country_flag_show']) && !empty($message['member']['country_flag']) && $settings['countryflag_enable'] == 1 || !empty($message['ua_os']) && !empty($settings['osbrowser_detect']) || !empty($message['ua_browser']) && !empty($settings['osbrowser_detect']))
  			{
          echo'
  								</ul>
  							</li>';
  			}
  			
			// Show their awards?
			if (!empty($message['member']['awards']) && $modSettings['awards_in_post'] > 0 && $settings['awards'] == 1)
      {
				echo '
								<li>
  								<fieldset style="border: 1px solid black; padding: 5px; margin-top: 10px;">
    								<legend>', $txt['awards'], ':</legend>';

				// Couldn't limit it in Load.php, so let's do it here.
				$awards = 0;
				foreach ($message['member']['awards'] as $award)
        {
					if($awards < $modSettings['awards_in_post'])
					{
						echo '
    								<a href="', $scripturl, $award['more'], '"><img src="', dirname($scripturl), $award['img'], '" alt="', $award['description'], '" title="', $award['description'], '" /></a> ';
						$awards++;
					}
				}

				echo '
  								</fieldset>
								</li>';
			}

		}
    echo'
            </ul>
          </div>
          <span class="botslice"><span></span></span>
        </div>';
        
    // I'm going to ignore you now.
    if (!$ignoring)
    {
      //Poster Separator
      echo'
        <div style="margin-left: 15px; padding-left: 15px; margin-bottom: -4px; background: url(' , $settings['images_url'] , '/design' , $message['alternate'] == 1 ? '/colourform' . $context['theme_variant']. '' : '' , '/', $message['approved'] ? ($message['alternate'] == 0 ? 'uparrow2' : 'uparrow1') : 'approveuparrow', '.gif) no-repeat;">
          <span class="contactme">' . $txt['contact_me'] . '</span>
        </div>';

      // The contact details
      echo'
        <div style="clear: left;" class="', $message['approved'] ? ($message['alternate'] == 0 ? 'windowbg4' : 'windowbg2') : 'approvebg', '">
          <span class="topslice"><span></span></span>
          <div style="padding-left: 5px;">
            <ul class="reset smalltext contacts" id="msg_', $message['id'], '_contacts">';

  			// Any custom fields to show as icons?
  			if (!empty($message['member']['custom_fields']))
  			{
  				$shown = false;
  				foreach ($message['member']['custom_fields'] as $custom)
  				{
  					if ($custom['placement'] != 1 || empty($custom['value']))
  						continue;
  					if (empty($shown))
  					{
  						$shown = true;
  						echo '
								<li class="im_icons">
									<ul>';
  					}
  					echo '
										<li>', $custom['value'], '</li>';
  				}
  				if ($shown)
  					echo '
									</ul>
								</li>';
  			}
  			// This shows the popular messaging icons.
  			if ($message['member']['has_messenger'] && $message['member']['can_view_profile'])
  			{
  				echo '
								<li class="im_icons">
									<ul>
										', !empty($message['member']['icq']['link']) ? '<li>' . $message['member']['icq']['link'] . '</li>' : '', '
										', !empty($message['member']['msn']['link']) ? '<li>' . $message['member']['msn']['link'] . '</li>' : '', '
										', !empty($message['member']['aim']['link']) ? '<li>' . $message['member']['aim']['link'] . '</li>' : '', '
										', !empty($message['member']['yim']['link']) ? '<li>' . $message['member']['yim']['link'] . '</li>' : '', '
									</ul>
								</li>';
  			}
  			// Show the profile, website, email address, and personal message buttons.
  			if ($settings['show_profile_buttons'])
  			{
  				echo '
								<li class="profile">
									<ul>';

  				// Don't show the profile button if you're not allowed to view the profile.
  				if ($message['member']['can_view_profile'])
  				{
  					echo '
										<li><a href="', $message['member']['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt['view_profile'] . '" title="' . $txt['view_profile'] . '" />' : $txt['view_profile']), '</a></li>';
  				}

          // Don't show an icon if they haven't specified a website.
  				if ($message['member']['website']['url'] != '' && !isset($context['disabled_fields']['website']))
  				{
  					echo '
										<li><a href="', $message['member']['website']['url'], '" title="' . $message['member']['website']['title'] . '" target="_blank" class="new_win">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $message['member']['website']['title'] . '" />' : $txt['www']), '</a></li>';
  				}
  				
  				// Blogs?
  				if(!empty($settings['adkblog_enable']))
  				{
            echo'
										<li><a href="' . $scripturl . '?blog=' . $message['member']['id'] . '" title="' . $txt['blog_principal_title'] . '"><img src="' . $settings['images_url'] . '/blog.gif" alt="" /></a></li>';
  				}

  				// Don't show the email address if they want it hidden.
  				if (in_array($message['member']['show_email'], array('yes', 'yes_permission_override', 'no_through_forum')))
  				{
            echo '
										<li><a href="', $scripturl, '?action=emailuser;sa=email;msg=', $message['id'], '" rel="nofollow">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt['email'] . '" title="' . $txt['email'] . '" />' : $txt['email']), '</a></li>';
  				}

  				// Since we know this person isn't a guest, you *can* message them.
  				if ($context['can_send_pm'])
  				{
  					echo '
										<li><a href="' . $message['member']['online']['href'] . '" title="' . $message['member']['online']['label'] . '"><img src="', $message['member']['online']['image_href'], '" alt="', $message['member']['online']['text'], '" /></a></li>';
  				}
  				echo'
									</ul>
								</li>';
        }
  			echo'
            </ul>
          </div>
          <span class="botslice"><span></span></span>
        </div>';
    }

    // End of the left area
    echo'
  		</div>';

    // Moving onto the post itself                                                                                                             
    echo'
  		<div style="margin-left: 17em;" class="', $message['approved'] ? ($message['alternate'] == 0 ? 'topicbg2' : 'topicbg') : 'approvalbg', '">
        <span class="topslice"><span></span></span>
        <span style="margin-left: -1em; float: left; padding-top: 1px;"><img src="' , $settings['images_url'] , '/design' , $message['alternate'] == 0 && $message['approved'] == 1 ? '/colourform' . $context['theme_variant']. '' : '' , '/', $message['approved'] ? ($message['alternate'] == 1 ? 'sidearrow1' : 'sidearrow2') : 'approvesidearrow', '.gif" alt="" /></span>
        <div style="padding-left: 5px;">
  				<div class="flow_hidden">
    				<div class="keyinfo">
      				<div class="messageicon" style="width: 45px;">
        				<img src="', $message['icon_url'] . '" alt=""', $message['can_modify'] ? ' id="msg_icon_' . $message['id'] . '"' : '', ' />
      				</div>';
      				if($message['id'] == $context['first_message'] && !empty($settings['hide_subject']) || empty($settings['hide_subject']))
      				{
                                  echo'
      				<h5 id="subject_', $message['id'], '">
        				<a href="', $message['href'], '" rel="nofollow">', $message['subject'], '</a>
      				</h5>';
      				}
      				echo'
      				<div class="smalltext">&#171; <strong>', !empty($message['counter']) ? $txt['reply_noun'] . ' #' . $message['counter'] : '', ' ', $txt['on'], ':</strong> ', $message['time'], ' &#187;</div>
      				<div id="msg_', $message['id'], '_quick_mod"></div>
    				</div>';

				if(empty($settings['modbuttons_location']))
				{
          echo'
          <div style="padding-top: 10px;">';
            require($settings['theme_dir'] . '/DisplayModButtons.template.php'); 
            echo'
          </div>';
				}
				echo'
  				</div>';
  				
		// Ignoring this user? Hide the post.
		if ($ignoring)
		{
			echo '
							<div id="msg_', $message['id'], '_ignored_prompt" class="ignoredbox">
								', $txt['ignoring_user'], '
								<a href="#" id="msg_', $message['id'], '_ignored_link" style="display: none;">', $txt['show_ignore_user_post'], '</a>
							</div>';
		}

		// Show the post itself, finally!
		echo '
							<div class="post" style="overflow: hidden;">';

		echo '
								<div class="inner" id="msg_', $message['id'], '"', '>';

		if (!$message['approved'] && $message['member']['id'] != 0 && $message['member']['id'] == $context['user']['id'])
		{
			echo '
  								<div class="approvebox">
  									', $txt['post_awaiting_approval'], '
  								</div>';
		}
    if(!empty($settings['simpleads_enable']))
    {
     echo ' 
     ',  $message['id'] == $context['first_message'] ? template_ad_position('inside_first_post') : '', $message['body'], '</div>';
    }
    else
    {
      echo'
									', $message['body'], '</div>';
		}
		echo'
							</div>';
              
		// Can the user modify the contents of this post?  Show the modify inline image.
		if ($message['can_modify'])
    {
			echo '
							<img src="', $settings['images_url'], '/icons/modify_inline.gif" alt="', $txt['modify_msg'], '" title="', $txt['modify_msg'], '" class="modifybutton" id="modify_button_', $message['id'], '" style="cursor: ', ($context['browser']['is_ie5'] || $context['browser']['is_ie5.5'] ? 'hand' : 'pointer'), '; display: none;" onclick="oQuickModify.modifyMsg(\'', $message['id'], '\')" />';
    }

		echo'
						<div class="moderatorbar">
							<div class="smalltext modified" id="modified_', $message['id'], '">';

		// Show "Last Edit: Time by Person" if this post was edited.
		if ($settings['show_modify'] && !empty($message['modified']['name']))
		{
			echo '
								&#171; <em>', $txt['last_edit'], ': ', $message['modified']['time'], ' ', $txt['by'], ' ', $message['modified']['name'], '</em> &#187;';
		}
		echo'
								</div>
						</div>
								<div class="smalltext modified" style="clear: right; float: right; text-align: right; padding-right: 15px;">';
		// Post URLs on?
		if (!empty($settings['posturl']))
		{
      echo'
								<strong>' , $txt['linkpost'] , ':</strong> ' , $scripturl , '?msg=' , $message['id'] , '';
		}
    if(!empty($settings['modbuttons_location']))
		{
      echo'
								<div style="clear: both; padding-top: 6px;">';
        require($settings['theme_dir'] . '/DisplayModButtons.template.php');
        echo'
								</div>';
		}
    echo '

						</div>';

		// Assuming there are attachments...
		if (!empty($message['attachment']))
		{
			echo '  
						<div style="clear: right;">
							<div id="msg_', $message['id'], '_footer" class="attachments smalltext">
								<div style="overflow: ', $context['browser']['is_firefox'] ? 'visible' : 'auto', ';">';

			$last_approved_state = 1;
			foreach ($message['attachment'] as $attachment)
			{
				// Show a special box for unapproved attachments...
				if ($attachment['is_approved'] != $last_approved_state)
				{
					$last_approved_state = 0;
					echo '
									<fieldset>
										<legend>', $txt['attach_awaiting_approve'];

					if ($context['can_approve'])
					{
            echo ' [<a href="', $scripturl, '?action=attachapprove;sa=all;mid=', $message['id'], ';', $context['session_var'], '=', $context['session_id'], '">', $txt['approve_all'], '</a>]';
					}
					echo '
										</legend>';
				}
				echo'
									' , (!empty($settings['attach_align'])) ? '<div style="float: left;">' : '' , '';

				if ($attachment['is_image'])
				{
					if ($attachment['thumbnail']['has_thumb'])
					{
						echo '
										<a href="', $attachment['href'], ';image" id="link_', $attachment['id'], '" onclick="', $attachment['thumbnail']['javascript'], '"><img src="', $attachment['thumbnail']['href'], '" alt="" id="thumb_', $attachment['id'], '" /></a><br />';
					}
          else
					{
            echo '
										<img src="' . $attachment['href'] . ';image" alt="" width="' . $attachment['width'] . '" height="' . $attachment['height'] . '"/><br />';
					}
        }
				echo '
										<a href="' . $attachment['href'] . '"><img src="' . $settings['images_url'] . '/icons/clip.gif" alt="" /> <strong>' . $attachment['name'] . '</strong></a><br />';

				if (!$attachment['is_approved'] && $context['can_approve'])
				{
          echo '
										[<a href="', $scripturl, '?action=attachapprove;sa=approve;aid=', $attachment['id'], ';', $context['session_var'], '=', $context['session_id'], '">', $txt['approve'], '</a>] | [<a href="', $scripturl, '?action=attachapprove;sa=reject;aid=', $attachment['id'], ';', $context['session_var'], '=', $context['session_id'], '">', $txt['delete'], '</a>] ';
				}
				echo '
										<strong>' , $txt['filesize'] , '</strong>: ', $attachment['size'], '<br />
                    ' , ($attachment['is_image']) ? '<strong>' . $txt['dimensions'] . '</strong>: ' . $attachment['real_width'] . 'x' . $attachment['real_height'] . '<br />' : '' , '
                    <strong>' , ($attachment['is_image']) ? ucfirst($txt['attach_viewed']) : ucfirst($txt['attach_downloaded']) , '</strong>: ' , $attachment['downloads'] , ' ' , $txt['attach_times'] , '<br />
									  ' , (!empty($settings['attach_align'])) ? '</div>' : '' , '';
			}

			// If we had unapproved attachments clean up.
			if ($last_approved_state == 0)
				echo '
									</fieldset>';

			echo '
								</div>
							</div>
						</div>';
		}
		
		// Enable Runic's Stars on User Info segment.
		if(!empty($settings['badge_panels']))
    {
      if (!empty($modSettings['bis']))
   		{
     		echo '
						<div class="signature">';
     		// Show the member's primary group (like 'Administrator') if they have one.
     		if (!empty($message['member']['group']))
        {
          echo '
  						', $message['member']['group'], '';

      		// Don't show these things for guests.
          if (!$message['member']['is_guest'])
          {
            echo '
  						<br />', $message['member']['group_stars'], '';
          }
          echo'
						</div>';
        }
    	}
    }
		// Show the member's signature?
		if (!empty($message['member']['signature']) && empty($options['show_no_signatures']) && $context['signature_enabled'])
		{
			echo '
						<div class="signature" style="overflow: hidden;" id="msg_', $message['id'], '_signature">', $message['member']['signature'], '</div>';
		}

		echo'
        </div>
        <span class="botslice"><span></span></span>
      </div>';
    
    // End of the post
    echo'
    </div>';
	}

	echo '
				</form>
			</div>
			<a id="lastPost"></a>';
			
	if(!empty($settings['simpleads_enable']))
	{
    template_ad_position('after_last_post');
  }

	// Make Article Button
	if(!empty($settings['simple_portal_enable']))
	{
    if ($context['can_make_article'] && !empty($modSettings['articleactive']))
    {
		$normal_buttons['article'] = array('text' => 'sp-' . ($context['topic_is_article'] ? 'remove' : 'add') . '_article', 'image' => 'addarticle.gif', 'lang' => true, 'url' => $scripturl . '?action=portal;sa=' . ($context['topic_is_article'] ? 'remove' : 'add') . 'article;message=' . $context['topic_first_message'] . ';return=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']);
  	}
	}
	if(!empty($settings['simple_desk_enable']))
	{
    $normal_buttons = array_merge($normal_buttons,array('topictoticket' => array('test' => 'can_move_to_helpdesk', 'text' => 'shd_move_topic_to_ticket', 'lang' => true, 'url' => $scripturl . '?action=helpdesk;sa=topictoticket;topic='.$context['current_topic'].';' . $context['session_var'] . '=' . $context['session_id'])));
	}
	echo '
			<div class="pagesection">
				', template_button_strip($normal_buttons, 'right'), '
				<div class="pagelinks floatleft">
          <strong>', $txt['pages'], '</strong>: ', !empty($settings['pagelinks']) ? $context['prev_topic_page'] : '' , ' ' , $context['page_index'], ' ', !empty($settings['pagelinks']) ? $context['next_topic_page'] : '' , '
          ' , !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . ' &nbsp;&nbsp;<a href="#top"><strong>' . $txt['go_up'] . '</strong></a>' : '', '
        </div>
				<div class="nextlinks_bottom">', $context['previous_next'], '</div>
			</div>';
			
		// Tagging System
		if(!empty($settings['tag_enable']))
		{
			echo '
			<div class="clearfix plainbox largepadding">
				<strong>', $txt['smftags_topic'], '</strong>';

				foreach ($context['topic_tags'] as $i => $tag)
				{
					echo '
          <a href="' . $scripturl . '?action=tags;tagid=' . $tag['ID_TAG']  . '">' . $tag['tag'] . '</a>';

					if(!$context['user']['is_guest'] && allowedTo('smftags_del'))
					{
            echo '
          <a href="' . $scripturl . '?action=tags;sa=deletetag;tagid=' . $tag['ID']  . '"><img src="' , $settings['images_url'] , '/pm_recipient_delete.gif" alt="" /></a> ';
					}
				}
				global $topic;
				if(!$context['user']['is_guest'] && allowedTo('smftags_add'))
        {
          echo '
          <a href="' . $scripturl . '?action=tags;sa=addtag;topic=',$topic, '">' . $txt['smftags_addtag'] . '</a>';
        }
        echo '
			</div>';
		}

	// Show breadcrumbs at the bottom too.
	if(empty($settings['linktree_location']) || $settings['linktree_location'] == 2)
	{
    theme_linktree();
	}

  if(!empty($settings['copy_topic']))
  {
    $mod_buttons = array(
  		'move' => array('test' => 'can_move', 'text' => 'move_topic', 'image' => 'admin_move.gif', 'lang' => true, 'url' => $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0'),
  		'copy' => array('test' => 'can_copy', 'text' => 'copytopic', 'image' => 'admin_copy.gif', 'lang' => true, 'url' => $scripturl . '?action=copytopic;topic=' . $context['current_topic'] . '.0'),
  		'delete' => array('test' => 'can_delete', 'text' => 'remove_topic', 'image' => 'admin_rem.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['are_sure_remove_topic'] . '\');"', 'url' => $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;' . $context['session_var'] . '=' . $context['session_id']),
  		'lock' => array('test' => 'can_lock', 'text' => empty($context['is_locked']) ? 'set_lock' : 'set_unlock', 'image' => 'admin_lock.gif', 'lang' => true, 'url' => $scripturl . '?action=lock;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'sticky' => array('test' => 'can_sticky', 'text' => empty($context['is_sticky']) ? 'set_sticky' : 'set_nonsticky', 'image' => 'admin_sticky.gif', 'lang' => true, 'url' => $scripturl . '?action=sticky;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'merge' => array('test' => 'can_merge', 'text' => 'merge', 'image' => 'merge.gif', 'lang' => true, 'url' => $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic']),
  		'calendar' => array('test' => 'calendar_post', 'text' => 'calendar_link', 'image' => 'linktocal.gif', 'lang' => true, 'url' => $scripturl . '?action=post;calendar;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.0'),
  	);
  }
  else
  {
    $mod_buttons = array(
  		'move' => array('test' => 'can_move', 'text' => 'move_topic', 'image' => 'admin_move.gif', 'lang' => true, 'url' => $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0'),
  		'delete' => array('test' => 'can_delete', 'text' => 'remove_topic', 'image' => 'admin_rem.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['are_sure_remove_topic'] . '\');"', 'url' => $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;' . $context['session_var'] . '=' . $context['session_id']),
  		'lock' => array('test' => 'can_lock', 'text' => empty($context['is_locked']) ? 'set_lock' : 'set_unlock', 'image' => 'admin_lock.gif', 'lang' => true, 'url' => $scripturl . '?action=lock;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'sticky' => array('test' => 'can_sticky', 'text' => empty($context['is_sticky']) ? 'set_sticky' : 'set_nonsticky', 'image' => 'admin_sticky.gif', 'lang' => true, 'url' => $scripturl . '?action=sticky;topic=' . $context['current_topic'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
  		'merge' => array('test' => 'can_merge', 'text' => 'merge', 'image' => 'merge.gif', 'lang' => true, 'url' => $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic']),
  		'calendar' => array('test' => 'calendar_post', 'text' => 'calendar_link', 'image' => 'linktocal.gif', 'lang' => true, 'url' => $scripturl . '?action=post;calendar;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.0'),
  	);
  }

	// Restore topic. eh?  No monkey business.
	if ($context['can_restore_topic'])
		$mod_buttons[] = array('text' => 'restore_topic', 'image' => '', 'lang' => true, 'url' => $scripturl . '?action=restoretopic;topics=' . $context['current_topic'] . ';' . $context['session_var'] . '=' . $context['session_id']);

	// Allow adding new mod buttons easily.
	call_integration_hook('integrate_mod_buttons', array(&$mod_buttons));

	echo '
			<div id="moderationbuttons">', template_button_strip($mod_buttons, 'bottom', array('id' => 'moderationbuttons_strip')), '</div>';

	// Show the jumpto box, or actually...let Javascript do it.
	echo '
			<div class="plainbox" id="display_jump_to">&nbsp;</div>';

	if ($context['can_reply'] && !empty($options['display_quick_reply']))
	{
		echo '
			<a id="quickreply"></a>
			<div class="tborder" id="quickreplybox">
				<div class="cat_bar">
					<h3 class="catbg">
						<span class="ie6_header floatleft"><a href="javascript:oQuickReply.swap();">
							<img src="', $settings['images_url'], '/', $options['display_quick_reply'] == 2 ? 'collapse' : 'expand', '.gif" alt="+" id="quickReplyExpand" class="icon" />
						</a>
						<a href="javascript:oQuickReply.swap();">', $txt['quick_reply'], '</a>
						</span>
					</h3>
				</div>
				<div id="quickReplyOptions"', $options['display_quick_reply'] == 2 ? '' : ' style="display: none"', '>
					<span class="upperframe"><span></span></span>
					<div class="roundframe">
						<p class="smalltext lefttext">', $txt['quick_reply_desc'], '</p>
						', $context['is_locked'] ? '<p class="alert smalltext">' . $txt['quick_reply_warning'] . '</p>' : '',
						$context['oldTopicError'] ? '<p class="alert smalltext">' . sprintf($txt['error_old_topic'], $modSettings['oldTopicDays']) . '</p>' : '', '
						', $context['can_reply_approved'] ? '' : '<em>' . $txt['wait_for_approval'] . '</em>', '
						', !$context['can_reply_approved'] && $context['require_verification'] ? '<br />' : '', '
						<form action="', $scripturl, '?board=', $context['current_board'], ';action=post2" method="post" accept-charset="', $context['character_set'], '" name="postmodify" id="postmodify" onsubmit="submitonce(this);" style="margin: 0;">
							<input type="hidden" name="topic" value="', $context['current_topic'], '" />
							<input type="hidden" name="subject" value="', $context['response_prefix'], $context['subject'], '" />
							<input type="hidden" name="icon" value="xx" />
							<input type="hidden" name="from_qr" value="1" />
							<input type="hidden" name="notify" value="', $context['is_marked_notify'] || !empty($options['auto_notify']) ? '1' : '0', '" />
							<input type="hidden" name="not_approved" value="', !$context['can_reply_approved'], '" />
							<input type="hidden" name="goback" value="', empty($options['return_to_post']) ? '0' : '1', '" />
							<input type="hidden" name="last_msg" value="', $context['topic_last_message'], '" />
							<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
							<input type="hidden" name="seqnum" value="', $context['form_sequence_number'], '" />';

			// Guests just need more.
			if ($context['user']['is_guest'])
				echo '
							<strong>', $txt['name'], ':</strong> <input type="text" name="guestname" value="', $context['name'], '" size="25" class="input_text" tabindex="', $context['tabindex']++, '" />
							<strong>', $txt['email'], ':</strong> <input type="text" name="email" value="', $context['email'], '" size="25" class="input_text" tabindex="', $context['tabindex']++, '" /><br />';

			// Is visual verification enabled?
			if ($context['require_verification'])
				echo '
							<strong>', $txt['verification'], ':</strong>', template_control_verification($context['visual_verification_id'], 'quick_reply'), '<br />';

			echo '
							<div class="quickReplyContent">
								<textarea cols="75" rows="7" style="', $context['browser']['is_ie8'] ? 'max-width: 100%; min-width: 100%' : 'width: 100%', '; height: 100px;" name="message" tabindex="', $context['tabindex']++, '"></textarea>
							</div>
							<div class="righttext padding">
								<input type="submit" name="post" value="', $txt['post'], '" onclick="return submitThisOnce(this);" accesskey="s" tabindex="', $context['tabindex']++, '" class="button_submit" />
								<input type="submit" name="preview" value="', $txt['preview'], '" onclick="return submitThisOnce(this);" accesskey="p" tabindex="', $context['tabindex']++, '" class="button_submit" />';

			if ($context['show_spellchecking'])
				echo '
								<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'postmodify\', \'message\');" tabindex="', $context['tabindex']++, '" class="button_submit" />';

			echo '
							</div>
						</form>
					</div>
					<span class="lowerframe"><span></span></span>
				</div>
			</div>';
	}
	else
		echo '
		<br class="clear" />';
		
	// Related topics for ADK Portal
	if(!empty($settings['adkportal_enable']))
	{
    global $adkportal, $boardurl;
    if($adkportal['enable_related_topics'] == 1)
    {
      echo'
		<br />
		<br />';
		
      echo'
		<h3 class="titlebg"><span class="left"></span>',$txt['adk_related_news'],'</h3>
		<table class="table_grid" cellspacing="0" style="width: 100%;">
			<thead>
				<tr>
					<th scope="col" class="smalltext first_th" width="8%">
					</th>
					<th scope="col" class="smalltext" width="48%">
						', $txt['subject'] ,'
					</th>
					<th scope="col" class="smalltext" width="22%">
						', $txt['started_by'] ,'
					</th>
					<th scope="col" class="smalltext last_th" width="22%">
						'.$txt['on'].'
					</th>
				</tr>
			</thead>
			<tbody>';
      foreach($context['adk_new']['random'] AS $t)
      {
        echo'
				<tr class="windowbg2 whos_viewing">
					<td width="8%">
						<img alt="" src="',$boardurl,'/adkportal/images/page.png" />
					</td>
					<td>
						<a style="font-weight: bold;" href="'.$scripturl.'?action=addthistopic;view='.$t['id'].'">',$t['title'],'</a>
					</td>
					<td width="22%">
						<strong>',$t['autor'],'</strong>
					</td>
					<td width="22%">
						',$t['time'],'
					</td>
				</tr>';
      }
      echo'
			</tbody>
		</table>
		<br />';
    }
	}
		
	// Added by Related Topics
	if (!empty($context['related_topics']) && $settings['relatedtopic_enable'] == 1)
	{
		echo '
    <div class="cat_bar" style="margin-top: 20px;">
      <h3 class="catbg">' , $txt['related_topics'] , '</h3>
		</div>
    <div class="tborder topic_table" id="messageindex">
      <table class="table_grid" cellspacing="0">
        <thead>
          <tr class="titlebg">';

		// Are there actually any topics to show?
		if (!empty($context['related_topics']))
		{
			echo '
            <th class="smalltext first_th" width="8%"></th>
            <th class="smalltext" style="text-align: left;">', $txt['subject'], ' / ', $txt['started_by'], '</th>
            <th class="smalltext" style="text-align: center;" width="14%">', $txt['replies'], '</th>
            <th class="smalltext last_th" width="22%">', $txt['last_post'], '</th>';
		}
		// No topics.... just say, "sorry bub".
		else
    {
			echo '
            <th scope="col" class="smalltext first_th" width="8%"></th>
            <th class="smalltext" colspan="3"><strong>', $txt['msg_alert_none'], '</strong></th>
            <th scope="col" class="smalltext last_th" width="8%"></th>';
    }

		echo '
						</tr>
					</thead>
					<tbody>';

		foreach ($context['related_topics'] as $topic)
		{
			if ($topic['board']['can_approve_posts'] && $topic['unapproved_posts'])
			{
				$color_class = !$topic['approved'] ? 'approvetbg' : 'approvebg';
			}
			elseif ($topic['is_sticky'] && $topic['is_locked'])
			{
				$color_class = 'stickybg locked_sticky';
			}
			elseif ($topic['is_sticky'])
			{
				$color_class = 'stickybg';
			}
			elseif ($topic['is_locked'])
			{
				$color_class = 'lockedbg';
			}
			else
			{
				$color_class = 'windowbg';
			}
			// Some columns require a different shade of the color class.
			$alternate_class = $color_class . '2';
			echo '
						<tr>
							<td class="icon1 ', $color_class, '">
								<img src="', $settings['images_url'], '/topic/', $topic['class'], '.gif" alt="" />
								<img src="', $topic['first_post']['icon_url'], '" alt="" />
							</td>
							<td class="subject ', $alternate_class, '">
								<div ', (!empty($topic['quick_mod']['modify']) ? 'id="topic_' . $topic['first_post']['id'] . '" onmouseout="mouse_on_div = 0;" onmouseover="mouse_on_div = 1;" ondblclick="modify_topic(\'' . $topic['id'] . '\', \'' . $topic['first_post']['id'] . '\', \'' . $context['session_id'] . '\', \'' . $context['session_var'] . '\');"' : ''), '>
									', $topic['is_sticky'] ? '<strong>' : '', '<span id="msg_' . $topic['first_post']['id'] . '">', $topic['first_post']['link'], (!$topic['board']['can_approve_posts'] && !$topic['approved'] ? '&nbsp;<em>(' . $txt['awaiting_approval'] . ')</em>' : ''), '</span>', $topic['is_sticky'] ? '</strong>' : '' ;

			// Is this topic new? (assuming they are logged in!)
			if ($topic['new'] && $context['user']['is_logged'])
			{
					echo '
									<a href="', $topic['new_href'], '" id="newicon' . $topic['first_post']['id'] . '"><img src="', $settings['lang_images_url'], '/new.gif" alt="', $txt['new'], '" /></a>';
			}
			echo '
									<p>', $txt['started_by'], ' ', $topic['first_post']['member']['link'], '
										<small id="pages' . $topic['first_post']['id'] . '">', $topic['pages'], '</small>
										<small>', $topic['board']['link'], '</small>
									</p>
								</div>
							</td>
							<td class="stats ', $color_class, '">
								', $topic['replies'], ' ', $txt['replies'], '
								<br />
								', $topic['views'], ' ', $txt['views'], '
							</td>
							<td class="lastpost ', $alternate_class, '">
								<a href="', $topic['last_post']['href'], '"><img src="', $settings['images_url'], '/icons/last_post.gif" alt="', $txt['last_post'], '" title="', $txt['last_post'], '" /></a>
								', $topic['last_post']['time'], '<br />
								', $txt['by'], ' ', $topic['last_post']['member']['link'], '
							</td>
						</tr>';
		}
		echo '
					<tbody>
				</table>
			</div><br />';
	}

	if ($context['show_spellchecking'])
		echo '
			<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>
				<script type="text/javascript" src="' . $settings['default_theme_url'] . '/scripts/spellcheck.js"></script>';

	echo '
				<script type="text/javascript" src="' . $settings['default_theme_url'] . '/scripts/topic.js"></script>
				<script type="text/javascript"><!-- // --><![CDATA[';

	if (!empty($options['display_quick_reply']))
		echo '
					var oQuickReply = new QuickReply({
						bDefaultCollapsed: ', !empty($options['display_quick_reply']) && $options['display_quick_reply'] == 2 ? 'false' : 'true', ',
						iTopicId: ', $context['current_topic'], ',
						iStart: ', $context['start'], ',
						sScriptUrl: smf_scripturl,
						sImagesUrl: "', $settings['images_url'], '",
						sContainerId: "quickReplyOptions",
						sImageId: "quickReplyExpand",
						sImageCollapsed: "collapse.gif",
						sImageExpanded: "expand.gif",
						sJumpAnchor: "quickreply"
					});';

	if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $context['can_remove_post'])
		echo '
					var oInTopicModeration = new InTopicModeration({
						sSelf: \'oInTopicModeration\',
						sCheckboxContainerMask: \'in_topic_mod_check_\',
						aMessageIds: [\'', implode('\', \'', $removableMessageIDs), '\'],
						sSessionId: \'', $context['session_id'], '\',
						sSessionVar: \'', $context['session_var'], '\',
						sButtonStrip: \'moderationbuttons\',
						sButtonStripDisplay: \'moderationbuttons_strip\',
						bUseImageButton: false,
						bCanRemove: ', $context['can_remove_post'] ? 'true' : 'false', ',
						sRemoveButtonLabel: \'', $txt['quickmod_delete_selected'], '\',
						sRemoveButtonImage: \'delete_selected.gif\',
						sRemoveButtonConfirm: \'', $txt['quickmod_confirm'], '\',
						bCanRestore: ', $context['can_restore_msg'] ? 'true' : 'false', ',
						sRestoreButtonLabel: \'', $txt['quick_mod_restore'], '\',
						sRestoreButtonImage: \'restore_selected.gif\',
						sRestoreButtonConfirm: \'', $txt['quickmod_confirm'], '\',
						sFormId: \'quickModForm\'
					});';

	echo '
					if (\'XMLHttpRequest\' in window)
					{
						var oQuickModify = new QuickModify({
							sScriptUrl: smf_scripturl,
							bShowModify: ', $settings['show_modify'] ? 'true' : 'false', ',
							iTopicId: ', $context['current_topic'], ',
							sTemplateBodyEdit: ', JavaScriptEscape('
								<div id="quick_edit_body_container" style="width: 90%">
									<div id="error_box" style="padding: 4px;" class="error"></div>
									<textarea class="editor" name="message" rows="12" style="' . ($context['browser']['is_ie8'] ? 'max-width: 100%; min-width: 100%' : 'width: 100%') . '; margin-bottom: 10px;" tabindex="' . $context['tabindex']++ . '">%body%</textarea><br />
									<input type="hidden" name="' . $context['session_var'] . '" value="' . $context['session_id'] . '" />
									<input type="hidden" name="topic" value="' . $context['current_topic'] . '" />
									<input type="hidden" name="msg" value="%msg_id%" />
									<div class="righttext">
										<input type="submit" name="post" value="' . $txt['save'] . '" tabindex="' . $context['tabindex']++ . '" onclick="return oQuickModify.modifySave(\'' . $context['session_id'] . '\', \'' . $context['session_var'] . '\');" accesskey="s" class="button_submit" />&nbsp;&nbsp;' . ($context['show_spellchecking'] ? '<input type="button" value="' . $txt['spell_check'] . '" tabindex="' . $context['tabindex']++ . '" onclick="spellCheck(\'quickModForm\', \'message\');" class="button_submit" />&nbsp;&nbsp;' : '') . '<input type="submit" name="cancel" value="' . $txt['modify_cancel'] . '" tabindex="' . $context['tabindex']++ . '" onclick="return oQuickModify.modifyCancel();" class="button_submit" />
									</div>
								</div>'), ',
							sTemplateSubjectEdit: ', JavaScriptEscape('<input type="text" style="width: 90%;" name="subject" value="%subject%" size="80" maxlength="80" tabindex="' . $context['tabindex']++ . '" class="input_text" />'), ',
							sTemplateBodyNormal: ', JavaScriptEscape('%body%'), ',
							sTemplateSubjectNormal: ', JavaScriptEscape('<a href="' . $scripturl . '?topic=' . $context['current_topic'] . '.msg%msg_id%#msg%msg_id%" rel="nofollow">%subject%</a>'), ',
							sTemplateTopSubject: ', JavaScriptEscape($txt['topic'] . ': %subject% &nbsp;(' . $txt['read'] . ' ' . $context['num_views'] . ' ' . $txt['times'] . ')'), ',
							sErrorBorderStyle: ', JavaScriptEscape('1px solid red'), '
						});

						aJumpTo[aJumpTo.length] = new JumpTo({
							sContainerId: "display_jump_to",
							sJumpToTemplate: "<label class=\"smalltext\" for=\"%select_id%\">', $context['jump_to']['label'], ':<" + "/label> %dropdown_list%",
							iCurBoardId: ', $context['current_board'], ',
							iCurBoardChildLevel: ', $context['jump_to']['child_level'], ',
							sCurBoardName: "', $context['jump_to']['board_name'], '",
							sBoardChildLevelIndicator: "==",
							sBoardPrefix: "=> ",
							sCatSeparator: "-----------------------------",
							sCatPrefix: "",
							sGoButtonLabel: "', $txt['go'], '"
						});

						aIconLists[aIconLists.length] = new IconList({
							sBackReference: "aIconLists[" + aIconLists.length + "]",
							sIconIdPrefix: "msg_icon_",
							sScriptUrl: smf_scripturl,
							bShowModify: ', $settings['show_modify'] ? 'true' : 'false', ',
							iBoardId: ', $context['current_board'], ',
							iTopicId: ', $context['current_topic'], ',
							sSessionId: "', $context['session_id'], '",
							sSessionVar: "', $context['session_var'], '",
							sLabelIconList: "', $txt['message_icon'], '",
							sBoxBackground: "transparent",
							sBoxBackgroundHover: "#ffffff",
							iBoxBorderWidthHover: 1,
							sBoxBorderColorHover: "#adadad" ,
							sContainerBackground: "#ffffff",
							sContainerBorder: "1px solid #adadad",
							sItemBorder: "1px solid #ffffff",
							sItemBorderHover: "1px dotted gray",
							sItemBackground: "transparent",
							sItemBackgroundHover: "#e0e0f0"
						});
					}';

	if (!empty($ignoredMsgs))
	{
		echo '
					var aIgnoreToggles = new Array();';

		foreach ($ignoredMsgs as $msgid)
		{
			echo '
					aIgnoreToggles[', $msgid, '] = new smc_Toggle({
						bToggleEnabled: true,
						bCurrentlyCollapsed: true,
						aSwappableContainers: [
							\'msg_', $msgid, '_extra_info\',
							\'msg_', $msgid, '\',
							\'msg_', $msgid, '_footer\',
							\'msg_', $msgid, '_quick_mod\',
							\'modify_button_', $msgid, '\',
							\'msg_', $msgid, '_signature\'
                                                            
						],
						aSwapLinks: [
							{
								sId: \'msg_', $msgid, '_ignored_link\',
								msgExpanded: \'\',
								msgCollapsed: ', JavaScriptEscape($txt['show_ignore_user_post']), '
							}
						]
					});';
		}
	}
	
	// Multi Quote Mod
	if (!empty($settings['multi_quote']) && $context['can_reply'])
  {
	echo '
		function mquote(msg_id,remove){
			if (!window.XMLHttpRequest)
				return true;
			var elementButton = "mquote_" + msg_id;
			var elementButtonDelete = "mquote_remove_" + msg_id;
			var exdate = new Date();			
			if (remove == "remove"){
            exdate.setDate(exdate.getDate()- 1);
			document.getElementById(elementButton).style.display = "inline";
			document.getElementById(elementButtonDelete).style.display = "none";			
			}
			else{
			exdate.setDate(exdate.getDate()+ 1);
			document.getElementById(elementButton).style.display = "none";
			document.getElementById(elementButtonDelete).style.display = "inline";
			}
            document.cookie = "mquote" + msg_id + "=; expires="+exdate.toGMTString()+"; path=/";			
		}';
	}

	echo '
				// ]]></script>';
}

?>