<?php
// Version: 2.0; Settings

function template_options()
{
  global $context, $settings, $options, $scripturl, $txt;

    $context['theme_options'] = array(
    array(
      'id' => 'show_board_desc',
      'label' => $txt['board_desc_inside'],
      'default' => true,
    ),
    array(
      'id' => 'show_children',
      'label' => $txt['show_children'],
      'default' => true,
    ),
    array(
      'id' => 'use_sidebar_menu',
      'label' => $txt['use_sidebar_menu'],
      'default' => true,
    ),
    array(
      'id' => 'show_no_avatars',
      'label' => $txt['show_no_avatars'],
      'default' => true,
    ),
    array(
      'id' => 'show_no_signatures',
      'label' => $txt['show_no_signatures'],
      'default' => true,
    ),
    array(
      'id' => 'show_no_censored',
      'label' => $txt['show_no_censored'],
      'default' => true,
    ),
    array(
      'id' => 'return_to_post',
      'label' => $txt['return_to_post'],
      'default' => true,
    ),
    array(
      'id' => 'no_new_reply_warning',
      'label' => $txt['no_new_reply_warning'],
      'default' => true,
    ),
    array(
      'id' => 'view_newest_first',
      'label' => $txt['recent_posts_at_top'],
      'default' => true,
    ),
    array(
      'id' => 'view_newest_pm_first',
      'label' => $txt['recent_pms_at_top'],
      'default' => true,
    ),
    array(
      'id' => 'posts_apply_ignore_list',
      'label' => $txt['posts_apply_ignore_list'],
      'default' => false,
    ),
    array(
      'id' => 'wysiwyg_default',
      'label' => $txt['wysiwyg_default'],
      'default' => false,
    ),
    array(
      'id' => 'popup_messages',
      'label' => $txt['popup_messages'],
      'default' => true,
    ),
    array(
      'id' => 'copy_to_outbox',
      'label' => $txt['copy_to_outbox'],
      'default' => true,
    ),
    array(
      'id' => 'pm_remove_inbox_label',
      'label' => $txt['pm_remove_inbox_label'],
      'default' => true,
    ),
    array(
      'id' => 'auto_notify',
      'label' => $txt['auto_notify'],
      'default' => true,
    ),
    array(
      'id' => 'topics_per_page',
      'label' => $txt['topics_per_page'],
      'options' => array(
        0 => $txt['per_page_default'],
        5 => 5,
        10 => 10,
        25 => 25,
        50 => 50,
      ),
      'default' => true,
    ),
    array(
      'id' => 'messages_per_page',
      'label' => $txt['messages_per_page'],
      'options' => array(
        0 => $txt['per_page_default'],
        5 => 5,
        10 => 10,
        25 => 25,
        50 => 50,
      ),
      'default' => true,
    ),
    array(
      'id' => 'calendar_start_day',
      'label' => $txt['calendar_start_day'],
      'options' => array(
        0 => $txt['days'][0],
        1 => $txt['days'][1],
        6 => $txt['days'][6],
      ),
      'default' => true,
    ),
    array(
      'id' => 'display_quick_reply',
      'label' => $txt['display_quick_reply'],
      'options' => array(
        0 => $txt['display_quick_reply1'],
        1 => $txt['display_quick_reply2'],
        2 => $txt['display_quick_reply3']
      ),
      'default' => true,
    ),
    array(
      'id' => 'display_quick_mod',
      'label' => $txt['display_quick_mod'],
      'options' => array(
        0 => $txt['display_quick_mod_none'],
        1 => $txt['display_quick_mod_check'],
        2 => $txt['display_quick_mod_image'],
      ),
      'default' => true,
    ),
  );
}

function template_settings()
{
  global $context, $settings, $options, $scripturl, $txt;

    $context['theme_settings'] = array(
    array(
      'id' => 'general_descriptor',
      'label' => $txt['general_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'header_logo_url',
      'label' => $txt['header_logo_url'],
      'description' => $txt['header_logo_url_desc'],
      'type' => 'text',
    ),
    array(
      'id' => 'logodir',
      'label' => $txt['logodir'],
      'description' => $txt['logodir_desc'],
    ),
    array(
      'id' => 'favicon_url',
      'label' => $txt['favicon_url'],
      'description' => $txt['favicon_url_desc'],
      'type' => 'text',
    ),
    array(
      'id' => 'banner_url',
      'label' => $txt['banner_url'],
      'description' => $txt['banner_url_desc'],
      'type' => 'text',
    ),
    array(
      'id' => 'banner_height',
      'label' => $txt['banner_height'],
      'description' => $txt['banner_height_desc'],
      'type' => 'number',
      'size' => 8,
    ),
    array(
      'id' => 'forum_width',
      'label' => $txt['width'],
      'description' => $txt['width_desc'],
      'type' => 'number',
      'size' => 8,
    ),
    array(
      'id' => 'smiley_sets_default',
      'label' => $txt['smileys_default_set_for_theme'],
      'options' => $context['smiley_sets'],
      'type' => 'text',
    ),
    '',
    array(
      'id' => 'news_descriptor',
      'label' => $txt['news_descriptor'],
      'type' => 'descriptor',
    ),
      array(
      'id' => 'enable_news',
      'label' => $txt['enable_random_news'],
    ),
    array(
      'id' => 'news_padding',
      'label' => $txt['news_padding'],
      'description' => $txt['news_padding_desc'],
      'type' => 'number',
      'size' => 8,
    ),
    '',
    array(
      'id' => 'menu_descriptor',
      'label' => $txt['menu_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'menu_type',
      'label' => $txt['menu_type'],
      'description' => $txt['menu_type_desc'],
      'options' => array(
        0 => $txt['curve'],
        1 => $txt['core'],
        2 => $txt['babylon'],
        3 => $txt['classic'],
        4 => $txt['plain_text'],
      ),
      'type' => 'number',
    ),
    array(
      'id' => 'dropdowns',
      'label' => $txt['dropdowns'],
      'description' => $txt['dropdowns_desc'],
    ),
    array(
      'id' => 'menu_icons',
      'label' => $txt['menu_icons'],
      'description' => $txt['menu_icons_desc'],
    ),
    '',
    array(
      'id' => 'guest_descriptor',
      'label' => $txt['guest_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'regbar',
      'label' => $txt['regbar'],
      'description' => $txt['regbar_desc'],
    ),
    array(
      'id' => 'regbar_msg',
      'label' => $txt['regbar_msg'],
      'description' => $txt['regbar_msg_desc'],
      'type' => 'text',
    ),
    '',
    array(
      'id' => 'membox_descriptor',
      'label' => $txt['membox_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'welcomebox',
      'label' => $txt['welcome_box'],
      'description' => $txt['welcome_box_desc'],
      'options' => array(
        0 => $txt['nobody'],
        1 => $txt['guests_only'],
        2 => $txt['members_only'],
        3 => $txt['mem_guests'],
      ),
      'type' => 'number',
    ),
    array(
      'id' => 'memboxposts',
      'label' => $txt['member_box_max_posts'],
      'description' => $txt['member_box_max_posts_desc'],
      'type' => 'number',
    ),
    array(
      'id' => 'membox_title',
      'label' => $txt['membox_title'],
      'description' => $txt['membox_title_desc'],
      'type' => 'text',
    ),
    array(
      'id' => 'membox_msg_g',
      'label' => $txt['membox_msg_g'],
      'description' => $txt['membox_msg_g_desc'],
      'type' => 'text',
    ),
    array(
      'id' => 'membox_msg',
      'label' => $txt['membox_msg'],
      'description' => $txt['membox_msg_desc'],
      'type' => 'text',
    ),
    '',
    array(
      'id' => 'boardindex_descriptor',
      'label' => $txt['boardindex_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'post_topic',
      'label' => $txt['post_topic'],
      'description' => $txt['post_topic_desc'],
      'options' => array(
        0 => $txt['default'],
        1 => $txt['classic'],
        2 => $txt['special'],
      ),
      'type' => 'number',
    ),
    array(
      'id' => 'childboard_rename',
      'label' => $txt['childboard_rename'],
      'description' => $txt['childboard_rename_desc'],
      'type' => 'text',
      'size' => '15',
    ),
    array(
      'id' => 'customboardicons',
      'label' => $txt['customboardicons'],
      'description' => $txt['customboardicons_desc'],
    ),
    array(
      'id' => 'boardfiletype',
      'label' => $txt['boardfiletype'],
      'description' => $txt['boardfiletype_desc'],
      'options' => array(
        'png' => $txt['png'],
        'gif' => $txt['gif'],
        'jpg' => $txt['jpg'],
      ),
      'type' => 'text',
    ),
    array(
      'id' => 'rss',
      'label' => $txt['rss'],
      'description' => $txt['rss_desc'],
    ),
    '',
    array(
      'id' => 'linktree_descriptor',
      'label' => $txt['linktree_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'linktree_link',
      'label' => $txt['current_pos_text_img'],
      'description' => $txt['current_pos_text_img_desc'],
    ),
    array(
      'id' => 'linktree_location',
      'label' => $txt['linktree_location'],
      'description' => $txt['linktree_location_desc'],
      'options' => array(
        1 => $txt['top'],
        2 => $txt['bottom'],
        0 => $txt['topbot'],
        3 => $txt['off'],
      ),
      'type' => 'number',
    ),
    array(
      'id' => 'linktree_style',
      'label' => $txt['linktree_style'],
      'description' => $txt['linktree_style_desc'],
      'options' => array(
        0 => $txt['default'],
        1 => $txt['classic'],
        2 => $txt['vbulletin'],
        3 => $txt['vbulletin4'],
        4 => $txt['xenforo'],
      ),
      'type' => 'number',
    ),
    array(
      'id' => 'linktree_separator',
      'label' => $txt['linktree_separator'],
      'description' => $txt['linktree_separator_desc'],
      'type' => 'text',
      'size' => '15',
    ),
    '',
    array(
      'id' => 'moderators_descriptor',
      'label' => $txt['moderators_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'modpos',
      'label' => $txt['modpos'],
      'description' => $txt['modpos_desc'],
      'options' => array(
        0 => $txt['below'],
        1 => $txt['right'],
      ),
    ),
    array(
      'id' => 'quickmod_location',
      'label' => $txt['quickmod_location'],
      'description' => $txt['quickmod_location_desc'],
      'options' => array(
        0 => $txt['right'],
        1 => $txt['left'],
      ),
    ),
    array(
      'id' => 'modbuttons_location',
      'label' => $txt['modbuttons_location'],
      'description' => $txt['modbuttons_location_desc'],
      'options' => array(
        0 => $txt['top'],
        1 => $txt['bottom'],
      ),
    ),
    '',
    array(
      'id' => 'attach_descriptor',
      'label' => $txt['attach_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'attach_align',
      'label' => $txt['attach_align'],
      'description' => $txt['attach_align_desc'],
      'options' => array(
        0 => $txt['vertical'],
        1 => $txt['horizontal'],
      ),
    ),
    '',
    array(
      'id' => 'ads_descriptor',
      'label' => $txt['ads_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'simpleads_enable',
      'label' => $txt['simpleads_enable'],
      'description' => $txt['simpleads_enable_desc'],
    ),
    array(
      'id' => 'adcontent',
      'label' => $txt['adcontent'],
      'description' => $txt['adcontent_desc'],
      'type' => 'textarea',
    ),
    array(
      'id' => 'kontera',
      'label' => $txt['kontera'],
      'description' => $txt['kontera_desc'],
      'type' => 'textarea',
    ),
    array(
      'id' => 'ad_background',
      'label' => $txt['ad_background'],
      'description' => $txt['ad_background_desc'],
    ),
    '',
    array(
      'id' => 'common_descriptor',
      'label' => $txt['common_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'show_mark_read',
      'label' => $txt['enable_mark_as_read'],
    ),
    array(
      'id' => 'allow_no_censored',
      'label' => $txt['allow_no_censored'],
    ),
    '',
    array(
      'id' => 'boardindex_descriptor',
      'label' => $txt['boardindex_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'number_recent_posts',
      'label' => $txt['number_recent_posts'],
      'description' => $txt['number_recent_posts_desc'],
      'type' => 'number',
    ),
    array(
      'id' => 'show_stats_index',
      'label' => $txt['show_stats_index'],
    ),
    array(
      'id' => 'show_pm_info',
      'label' => $txt['show_pm_info'],
    ),
    array(
      'id' => 'show_latest_member',
      'label' => $txt['latest_members'],
    ),
    array(
      'id' => 'show_group_key',
      'label' => $txt['show_group_key'],
    ),
    '',
    array(
      'id' => 'messageindexdisplay_descriptor',
      'label' => $txt['messageindexdisplay_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'display_who_viewing',
      'label' => $txt['who_display_viewing'],
      'options' => array(
        0 => $txt['who_display_viewing_off'],
        1 => $txt['who_display_viewing_numbers'],
        2 => $txt['who_display_viewing_names'],
      ),
      'type' => 'number',
    ),
    '',
    array(
      'id' => 'display_descriptor',
      'label' => $txt['display_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'display_location',
      'label' => $txt['display_location'],
      'description' => $txt['display_location_desc'],
    ),
    array(
      'id' => 'hide_subject',
      'label' => $txt['hide_subject'],
      'description' => $txt['hide_subject_desc'],
    ),
    array(
      'id' => 'member_id',
      'label' => $txt['member_id'],
      'description' => $txt['member_id_desc'],
    ),
    array(
      'id' => 'join_date_display',
      'label' => $txt['join_date'],
      'description' => $txt['join_date_desc'],
    ),
    array(
      'id' => 'ban_posts',
      'label' => $txt['ban_posts'],
      'description' => $txt['ban_posts_desc'],
    ),
    array(
      'id' => 'page_navigation',
      'label' => $txt['page_navigation'],
      'description' => $txt['page_navigation_desc'],
    ),
    array(
      'id' => 'topicstart_icon',
      'label' => $txt['topicstart_icon'],
      'description' => $txt['topicstart_icon_desc'],
    ),
    array(
      'id' => 'show_modify',
      'label' => $txt['last_modification'],
    ),
    array(
      'id' => 'show_profile_buttons',
      'label' => $txt['show_view_profile_button'],
    ),
    array(
      'id' => 'show_user_images',
      'label' => $txt['user_avatars'],
    ),
    array(
      'id' => 'show_blurb',
      'label' => $txt['user_text'],
    ),
    array(
      'id' => 'show_gender',
      'label' => $txt['gender_images'],
    ),
    array(
      'id' => 'hide_post_group',
      'label' => $txt['hide_post_group'],
      'description' => $txt['hide_post_group_desc'],
    ),
    array(
      'id' => 'posturl',
      'label' => $txt['posturl'],
      'description' => $txt['posturl_desc'],
    ),
    '',
    array(
      'id' => 'pm_descriptor',
      'label' => $txt['pm_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'show_bbc',
      'label' => $txt['admin_bbc'],
    ),
    array(
      'id' => 'additional_options_collapsable',
      'label' => $txt['additional_options_collapsable'],
    ),
    '',
    array(
      'id' => 'copyright_descriptor',
      'label' => $txt['copyright_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'customcopyright',
      'label' => $txt['customcopyright'],
      'description' => $txt['customcopyright_desc'],
      'type' => 'text',
    ),
    '',
    array(
      'id' => 'modsupport_descriptor',
      'label' => $txt['modsupport_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'relatedtopic_enable',
      'label' => $txt['relatedtopic_enable'],
      'description' => $txt['relatedtopic_enable_desc'],
    ),
    array(
      'id' => 'usersonline_today',
      'label' => $txt['usersonline_today'],
      'description' => $txt['usersonline_today_desc'],
    ),
    array(
      'id' => 'countryflag_enable',
      'label' => $txt['countryflag_enable'],
      'description' => $txt['countryflag_enable_desc'],
    ),
    array(
      'id' => 'awards_enable',
      'label' => $txt['awards_enable'],
      'description' => $txt['awards_enable_desc'],
    ),
    array(
      'id' => 'tag_enable',
      'label' => $txt['tag_enable'],
      'description' => $txt['tag_enable_desc'],
    ),
    array(
      'id' => 'topic_display',
      'label' => $txt['topic_display'],
      'description' => $txt['topic_display_desc'],
    ),
    array(
      'id' => 'delete_spam',
      'label' => $txt['delete_spam'],
      'description' => $txt['delete_spam_desc'],
    ),
    array(
      'id' => 'copy_topic',
      'label' => $txt['copy_topic'],
      'description' => $txt['copy_topic_desc'],
    ),
    array(
      'id' => 'board_post_icon',
      'label' => $txt['board_post_icon'],
      'description' => $txt['board_post_icon_desc'],
    ),
    array(
      'id' => 'unapprove_enable',
      'label' => $txt['unapprove_enable'],
      'description' => $txt['unapprove_enable_desc'],
    ),
    array(
      'id' => 'osbrowser_detect',
      'label' => $txt['osbrowser_detect'],
      'description' => $txt['osbrowser_detect_desc'],
    ),
    array(
      'id' => 'multiple_polls',
      'label' => $txt['multiple_polls'],
      'description' => $txt['multiple_polls_desc'],
    ),
    array(
      'id' => 'akyne_topic_notes',
      'label' => $txt['akyne_topic_notes'],
      'description' => $txt['akyne_topic_notes_desc'],
    ),
    array(
      'id' => 'pagelinks',
      'label' => $txt['pagelinks_enable'],
      'description' => $txt['pagelinks_enable_desc'],
    ),
    array(
      'id' => 'enhanced_pm',
      'label' => $txt['enhanced_pm_enable'],
      'description' => $txt['enhanced_pm_enable_desc'],
    ),
    array(
      'id' => 'tidy_boards',
      'label' => $txt['tidy_boards_enable'],
      'description' => $txt['tidy_boards_enable_desc'],
    ),
    array(
      'id' => 'multi_quote',
      'label' => $txt['multi_quote_enable'],
      'description' => $txt['multi_quote_enable_desc'],
    ),
    array(
      'id' => 'board_notices',
      'label' => $txt['board_notices'],
      'description' => $txt['board_notices_desc'],
    ),
    array(
      'id' => 'badge_panels',
      'label' => $txt['badge_panels'],
      'description' => $txt['badge_panels_desc'],
    ),
    array(
      'id' => 'load_detect_mod',
      'label' => $txt['load_detect_mod'],
      'description' => $txt['load_detect_mod_desc'],
    ),
    array(
      'id' => 'nickname_reply',
      'label' => $txt['address_button'],
      'description' => $txt['address_button_desc'],
      'default' => true,
    ),
    '',
    array(
      'id' => 'nickname_descriptor',
      'label' => $txt['nickname_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'nickname_color',
      'label' => $txt['nickname_color'],
      'description' => $txt['nickname_color_desc'],
      'type' => 'text',
      'size' => 8,
    ),
    '',
    array(
      'id' => 'largemodsupport_descriptor',
      'label' => $txt['largemodsupport_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'portals_descriptor',
      'label' => $txt['portals_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'adkportal_enable',
      'label' => $txt['adkportal_enable'],
      'description' => $txt['adkportal_enable_desc'],
    ),
    array(
      'id' => 'simple_portal_enable',
      'label' => $txt['simple_portal_enable'],
      'description' => $txt['simple_portal_enable_desc'],
    ),
    array(
      'id' => 'helpdesks_descriptor',
      'label' => $txt['helpdesks_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'simple_desk_enable',
      'label' => $txt['simple_desk_enable'],
      'description' => $txt['simple_desk_enable_desc'],
    ),
    array(
      'id' => 'blogs_descriptor',
      'label' => $txt['blogs_descriptor'],
      'type' => 'descriptor',
    ),
    array(
      'id' => 'adkblog_enable',
      'label' => $txt['adkblog_enable'],
      'description' => $txt['adkblog_enable_desc'],
    ),
  );
}

?>