<?php
// Version: 2.0; index

// Initialize the template... mainly little settings.
function template_init()
{
	global $context, $settings, $options, $txt;

	$settings['use_default_images'] = 'never';
	$settings['doctype'] = 'xhtml';
	$settings['theme_version'] = '2.0';
	$settings['use_tabs'] = true;
	$settings['use_buttons'] = true;
	$settings['separate_sticky_lock'] = true;
	$settings['strict_doctype'] = false;
	$settings['message_index_preview'] = false;
	$settings['require_theme_strings'] = ture;
	$settings['theme_variants'] = array('blue', 'pink', 'green', 'red');
}

// The main sub template above the content.
function template_html_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Show right to left and the character set for ease of translating.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
<head>';

	if(!empty($settings['adkportal_enable']))
	{
    if(function_exists('loadColpaseAdkportal'))loadColpaseAdkportal();
	}

	// The ?rc3 part of this link is just here to make sure browsers don't cache it wrongly.
	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index.css" />
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/colourform' , $context['theme_variant'] , '.css" />
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/curve.css" />';
	// lets get out menu for Core
	if(!empty($settings['menu_type']) && $settings['menu_type'] == 1)
  {
    echo'
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/core.css" />';
  }
  // Gets get out CSS3 related stuff so things look slightly better in IE without it.
  if(!$context['browser']['is_ie'])
  {
    echo'
    <link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/global.css" />';
  }
  else
  {
    echo'
    <link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/ie_css3.css" />';
  }

	// Some browsers need an extra stylesheet due to bugs/compatibility issues.
	foreach (array('ie7', 'ie6', 'webkit') as $cssfix)
	{
		if ($context['browser']['is_' . $cssfix])
		{
			echo '
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/css/', $cssfix, '.css" />';
	  }
	}

	// Here comes the JavaScript bits!
	echo '
	<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/script.js"></script>
	<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/theme.js"></script>
  	<script type="text/javascript"><!-- // --><![CDATA[
		var smf_theme_url = "', $settings['theme_url'], '";
		var smf_default_theme_url = "', $settings['default_theme_url'], '";
		var smf_images_url = "', $settings['images_url'], '";
		var smf_scripturl = "', $scripturl, '";
		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';
		var smf_charset = "', $context['character_set'], '";';
    if(!empty($settings['enhanced_pm']))
    {
      if($context['show_pm_popup'])
      {
        echo'
    var fPmPopup = function ()
		{
			document.getElementById("pm_popup").style.display = \'block\';
		}
		function closefPmPopup()
		{
			document.getElementById("pm_popup").style.display = \'none\';
		}';
      }
    }
    else
    {
      if($context['show_pm_popup'])
      {
        echo'
		var fPmPopup = function ()
		{
			if (confirm("' . $txt['show_personal_messages'] . '"))
				window.open(smf_prepareScriptUrl(smf_scripturl) + "action=pm");
		}
		addLoadEvent(fPmPopup);';
      }
    }
    echo'
		var ajax_notification_text = "', $txt['ajax_in_progress'], '";
		var ajax_notification_cancel_text = "', $txt['modify_cancel'], '";
	// ]]></script>';                      
	
	if(!empty($settings['load_detect_mod']))
	{
    $load = sys_getloadavg();
    if ($load[0] > $modSettings['amount_server_load_check'] && !empty($modSettings['enable_server_load_check']))
    {
      echo '
	<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/hslw.js"></script>';
    }
	}

	if(!empty($settings['linktree_style']) && $settings['linktree_style'] == 4)
	{
    echo'
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
  <script type="text/javascript">
  $(function() {
  	$("#breadcrumbs a").hover(
    function () {
      $(this).addClass("hover").children().addClass("hover");
      $(this).parent().prev().find("span.arrow:first").addClass("pre_hover");
    },
    function () {
      $(this).removeClass("hover").children().removeClass("hover");
      $(this).parent().prev().find("span.arrow:first").removeClass("pre_hover");
    }
    );
  });
  </script>';
	}

	echo '
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
	<meta name="description" content="', $context['page_title_html_safe'], '" />';
  if (!empty($context['meta_keywords']))
  {
    echo'
	<meta name="keywords" content="' . $context['meta_keywords'] . '" />';
  }
  echo'
	<title>', $context['page_title_html_safe'], '</title>';

	// Please don't index these Mr Robot.
	if (!empty($context['robot_no_index']))
		echo '
	<meta name="robots" content="noindex" />';
	
	if(!empty($settings['favicon_url']))
  	echo'
	<link href="' , $settings['favicon_url'] , '" rel="' , ($context['browser']['is_ie']) ? 'shortcut ' : '' , 'icon" />';

	// Present a canonical url for search engines to prevent duplicate content in their indices.
	if (!empty($context['canonical_url']))
		echo '
	<link rel="canonical" href="', $context['canonical_url'], '" />';

	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" />
	<link rel="search" href="', $scripturl, '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

	// If RSS feeds are enabled, advertise the presence of one.
	if (!empty($modSettings['xmlnews_enable']) && (!empty($modSettings['allow_guestAccess']) || $context['user']['is_logged']))
		echo '
	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name_html_safe'], ' - ', $txt['rss'], '" href="', $scripturl, '?type=rss;action=.xml" />';

	// If we're viewing a topic, these should be the previous and next topics, respectively.
	if (!empty($context['current_topic']))
		echo '
	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />
	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';

	// If we're in a board, or a topic for that matter, the index will be the board's index.
	if (!empty($context['current_board']))
		echo '
	<link rel="index" href="', $scripturl, '?board=', $context['current_board'], '.0" />';

	// Output any remaining HTML headers. (from mods, maybe?)
	echo $context['html_headers'];

	echo '
</head>';
	if(!empty($settings['multi_quote']))
	{
    echo'
<body'.((isset($context['current_action']) && ($context['current_action'] == 'post') && (isset($context['current_topic']))) ? ' onLoad="post_mquotes();"' : '').'>';
	}
	else
	{
    echo'
<body>';
	}
}

function template_body_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings, $user_info;

// Display an IE6 warning!
if(!$context['browser']['is_ie8'] && $context['browser']['is_ie'])
{
  echo'
  <div class="regbar" style="font-size:14pt; font-weight: bold; text-transform: uppercase; text-align: center;">
    ' , $txt['ie6_no_compat'] , '
  </div>';
}
// This is for the Register Bar
if(!empty($settings['regbar']) && $context['user']['is_guest'] && !$context['current_action'] == 'register')
{
  echo'
  <div class="regbar">
    <a href="' , $scripturl , '?action=register">' , !empty($settings['regbar_msg']) ? $settings['regbar_msg'] : $txt['regbar_text'], '</a>
  </div>';
}

// Apparently we have a server load issue
if(!empty($settings['load_detect_mod']))
{
  $load = sys_getloadavg();
  if ($load[0] > $modSettings['amount_server_load_check'] && !empty($modSettings['enable_server_load_check']))
  {
    echo'
  <div style="float: right; border: 1px solid #CCCCCC; padding: 5px; margin: 25px; background: #FF0000;">
  		<img src="', $settings['images_url'], '/server.png" alt="" /> <strong>', $txt['server_load_check'], '</strong>
  </div>';
  }
}
  
// If we have new PMs...
if(!empty($settings['enhanced_pm']))
{
	if($context['show_pm_popup'])
	{
    echo '
	<div id="pm_popup" class="windowbg">
	<h5 class="catbg">
		<span class="floatright"><a href="#" onclick="closefPmPopup()"><img src="', $settings['images_url'], '/icons/quick_remove.gif" alt="', $txt['pm_popup_close'], '" /></a></span>
		', $txt['pm_popup'], ' [', $context['user']['unread_messages'], ']
	</h5>
	<p class="content">
		', str_replace('\n', '<br />', $txt['show_personal_messages']), '<br /><br />
		<a href="', $scripturl, '?action=pm" target="_blank" onclick="closefPmPopup()"><img src="', $settings['images_url'], '/icons/package_installed.gif" alt="" /> ', $txt['yes'], '</a> &nbsp;&nbsp;&nbsp; <a href="#" onclick="closefPmPopup()"><img src="', $settings['images_url'], '/icons/package_old.gif" alt="" /> ', $txt['no'], '</a>
	</p>
	</div>';
	}
}

echo'
<div id="wrapper" ' , $settings['forum_width'] != '100' ? '' . empty($settings['forum_width']) ? '' : 'class="wrapborder" ' . '' : '' . ' ' , !empty($settings['forum_width']) ? 'style="width: ' . $settings['forum_width'] . '%' : 'style="width: 100%;' , '">
<div class="topbarmain">
     <div class="topbarleft">
          <div class="topbarrighttext">
               ' , $txt['search'] , '
          </div>
          <div class="topbarlefttext">
               ' , empty($settings['disable_user_variant']) ? $txt['theme_colorforms'] : '<img src="' . $settings['images_url'] . '/blank.gif" style="height: 7px;" alt="" />' , '
          </div>
          <div class="topbarleftsearchforms">';
          if(empty($settings['disable_user_variant']))
          {
            echo'
              <div style="float: left; padding-right: 5px;">
                <a href="' , $scripturl , '?variant=green"><img src="' , $settings['images_url'] , '/colourforms/triangle.png" alt="" /></a>
                <a href="' , $scripturl , '?variant=red"><img src="' , $settings['images_url'] , '/colourforms/circle.png" alt="" /></a>
                <a href="' , $scripturl , '?variant=blue"><img src="' , $settings['images_url'] , '/colourforms/x.png" alt="" /></a>
                <a href="' , $scripturl , '?variant=pink"><img src="' , $settings['images_url'] , '/colourforms/square.png" alt="" /></a>
              </div>';
          }
          echo'
               <form class="topbarleftsearchformmain" action="', $scripturl, '?action=search2" method="post" accept-charset="', $context['character_set'], '">
               <input type="text" name="search" value="" class="input_text" size="' , empty($settings['disable_user_variant']) ? 13 : 33 , '" />
               <input type="hidden" name="advanced" value="0" />';

	// Search within current topic?
	if (!empty($context['current_topic']))
		echo '
               <input type="hidden" name="topic" value="', $context['current_topic'], '" />';
	// If we're on a certain board, limit it to this board ;).
	elseif (!empty($context['current_board']))
		echo '
               <input type="hidden" name="brd[', $context['current_board'], ']" value="', $context['current_board'], '" />';

	echo '               
               </form>';
  echo'
          </div>
          <div class="topbarleftlogo">
               <a href="' , $scripturl , '">';
               if(!empty($settings['header_logo_url']))
               {
                 echo'<img src="' , $settings['header_logo_url'] , '" alt="" />';
               }
               elseif(!empty($settings['logodir']))
               {
                 echo'<img src="' , $settings['images_url'] , '/logos/logo' , $context['theme_variant'] , '.png" alt="" />';
               }
               else
               {
                 echo'<img src="' , $settings['images_url'] , '/design/colourform' , $context['theme_variant'] , '/logo.png" alt="" />';
               }
               echo'</a>
          </div>
          <div>
               <img src="' , $settings['images_url'] , '/design/slice6.png" alt="" />
          </div>
     </div>
     <div class="topbarrightmain"'; if(!empty($settings['banner_url'])) { echo' style="background: url(' . $settings['banner_url'] . ') no-repeat;'; if(!empty($settings['banner_height'])) { echo' height: ' . $settings['banner_height'] . 'px'; } echo'"'; } echo'>
          <div class="topbarrightnews"' , !empty($settings['news_padding']) ? ' style="padding-left: ' . $settings['news_padding'] . 'px;"' : '' , '>';
	// Show a random news item? (or you could pick one from news_lines..)
	if (!empty($settings['enable_news']))
		echo '
            <strong>', $txt['news'], '</strong>: ', $context['random_news_line'], '';
    echo'
          </div>
          <div class="topbarrightmenu" ' , empty($settings['enable_news']) ? 'style="padding-top: 18px;"' : '' , '>
              ' , template_menu() , '
          </div>
     </div>
</div>

<div class="userbarmain">';
  if (!empty($context['user']['avatar']))
  {
    echo'
    <div class="userbaravatar">' , $context['user']['avatar']['image'] , '</div>';
  }
  if (!empty($settings['adcontent']))
  {
    echo'
    <div class="userbarad">
      ' , ($settings['ad_background'] == 1) ? '<div class="userbaradbg2">' : '' , '
        ' , $settings['adcontent'] , '
      ' , ($settings['ad_background'] == 1) ? '</div>' : '' , '
    </div>';
  }
  echo'
  <div class="userbarcontent smalltext">';
	if ($context['user']['is_logged'])
	{
		echo '
				<ul class="reset">
  					<li>', $txt['hello_member'], ' <strong>', $context['user']['name'], '</strong>';
  					
		// Enable Runic's Stars on User Info segment.
		if(!empty($settings['badge_panels']))
		{
      if (!empty($modSettings['biup']))
      {
        if (!empty($user_info['group_name']) && !empty($user_info['stars']))
        {
          echo '';
          list($num_stars, $badge) = explode('#', $user_info['stars']);
          echo str_repeat('<img src="' . $settings['images_url'] . '/' . $badge . '" alt="' . $user_info['group_name'] . '" />', $num_stars);
          echo '';
        }
      }
		}

		// Only tell them about their messages if they can read their messages!
		if ($context['allow_pm'])
			echo ', ', $txt['msg_alert_you_have'], ' <a href="', $scripturl, '?action=pm">', $context['user']['messages'], ' ', $context['user']['messages'] != 1 ? $txt['msg_alert_messages'] : $txt['message_lowercase'], '</a>', $txt['newmessages4'], ' ', $context['user']['unread_messages'], ' ', $context['user']['unread_messages'] == 1 ? $txt['newmessages0'] : $txt['newmessages1'];
		echo '.</li>';

		// Simple Desk enabled?
		if(!empty($settings['simple_desk_enable']))
		{
      echo'
  					', (!empty($modSettings['helpdesk_active']) && !empty($modSettings['shd_helpdesk_only'])) ? '' : ('<li><a href="' . $scripturl . '?action=unread">' . $txt['unread_since_visit'] . '</a></li>
  					<li><a href="' . $scripturl . '?action=unreadreplies">' . $txt['show_unread_replies'] . '</a></li>');
		}
		else
		{
      echo'
  					<li><a href="', $scripturl, '?action=unread">', $txt['unread_since_visit'], '</a></li>
  					<li><a href="', $scripturl, '?action=unreadreplies">', $txt['show_unread_replies'], '</a></li>';
		}

		// Is the forum in maintenance mode?
		if ($context['in_maintenance'] && $context['user']['is_admin'])
			echo '
					<li class="notice">', $txt['maintain_mode_on'], '</li>';

		// Are there any members waiting for approval?
		if (!empty($context['unapproved_members']))
			echo '
					<li>', $context['unapproved_members'] == 1 ? $txt['approve_thereis'] : $txt['approve_thereare'], ' <a href="', $scripturl, '?action=admin;area=viewmembers;sa=browse;type=approve">', $context['unapproved_members'] == 1 ? $txt['approve_member'] : $context['unapproved_members'] . ' ' . $txt['approve_members'], '</a> ', $txt['approve_members_waiting'], '</li>';

		if (!empty($context['open_mod_reports']) && $context['show_open_reports'])
			echo '
					<li><a href="', $scripturl, '?action=moderate;area=reports">', sprintf($txt['mod_reports_waiting'], $context['open_mod_reports']), '</a></li>';

		echo '
					<li>', $context['current_time'], '</li>';

    // Show the total time logged in?
		if (!empty($context['user']['total_time_logged_in']))
		{
      echo '
					<li>', $txt['totalTimeLogged1'];
      
      // If days is just zero, don't bother to show it.
        if ($context['user']['total_time_logged_in']['days'] > 0)
          echo $context['user']['total_time_logged_in']['days'] . $txt['totalTimeLogged2'];
      
     	// Same with hours - only show it if it's above zero.
  			if ($context['user']['total_time_logged_in']['hours'] > 0)
 				   echo $context['user']['total_time_logged_in']['hours'] . $txt['totalTimeLogged3'];
      
     	// But, let's always show minutes - Time wasted here: 0 minutes ;).
     	   echo $context['user']['total_time_logged_in']['minutes'], $txt['totalTimeLogged4'], '</li>';
		}
		echo'
				</ul>';
	}
	// Otherwise they're a guest - this time ask them to either register or login - lazy bums...
	elseif (!empty($context['show_login_bar']))
	{
		echo '
				<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/sha1.js"></script>
				<form id="guest_form" action="', $scripturl, '?action=login2" method="post" accept-charset="', $context['character_set'], '" ', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>
					<div class="info">', $txt['login_or_register'], '</div>
					<input type="text" name="user" size="10" class="input_text" />
					<input type="password" name="passwrd" size="10" class="input_password" />
					<select name="cookielength">
						<option value="60">', $txt['one_hour'], '</option>
						<option value="1440">', $txt['one_day'], '</option>
						<option value="10080">', $txt['one_week'], '</option>
						<option value="43200">', $txt['one_month'], '</option>
						<option value="-1" selected="selected">', $txt['forever'], '</option>
					</select>
					<input type="submit" value="', $txt['login'], '" class="button_submit" /><br />
					<div class="info">', $txt['quick_login_dec'], '</div>';

		if (!empty($modSettings['enableOpenID']))
			echo '
					<br /><input type="text" name="openid_identifier" id="openid_url" size="25" class="input_text openid_login" />';

		echo '
					<input type="hidden" name="hash_passwrd" value="" />
				</form>';
	}
  echo'
  </div>
</div>

	<div id="header"><div class="frame">
	</div></div>';

	// The main content should go here.
	echo '
	<div id="content_section"><div class="frame">
		<div id="main_content_section">';

	// Show the navigation tree.
	if(empty($settings['linktree_location']) || $settings['linktree_location'] == 1)
	{
    theme_linktree();
	}

  if(!empty($settings['welcomebox']) && $context['user']['is_guest'] || !empty($settings['welcomebox']) && $settings['welcomebox'] == 2 && $context['user']['is_logged'] && $user_info['posts'] <= $settings['memboxposts'] || !empty($settings['welcomebox']) && $settings['welcomebox'] == 3 && $context['user']['is_logged'] && $user_info['posts'] <= $settings['memboxposts'] )
	{
  	echo'
  	<div class="tborder">
  		<div class="cat_bar">
  			<h3 class="catbg">' , !empty($settings['membox_title']) ? $settings['membox_title'] : $txt['welcome_main'] , '</h3>
  		</div>
  		<div class="windowbg" style="padding: 5px; margin-bottom: 10px;">';
      // Lets show different messages for guests and memebrs, the message for members can be customised to boot
      if ($context['user']['is_guest'])
      {
        echo'
        ' , !empty($settings['membox_msg_g']) ? $settings['membox_msg_g'] : $txt['welcome_guest'] , '';
      }
      elseif ($context['user']['is_logged'])
      {
          echo'
          ' , !empty($settings['membox_msg']) ? $settings['membox_msg'] : $txt['welcome_user'] , '';
      }
      echo'
      </div>
  	</div>';
	}

	if(!empty($settings['adkportal_enable']))
  {
    if(function_exists('loadCTop'))loadCTop();
  }
}

function template_body_below()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	if(!empty($settings['adkportal_enable']))
  {
    if(function_exists('loadCBottom'))loadCBottom();
  }

	echo '
		</div>
	</div></div>';

	// Show the "Powered by" and "Valid" logos, as well as the copyright. Remember, the copyright must be somewhere!
	echo '
	<div id="footer_section"><div class="frame">
		<ul class="reset">';
	// Show the load time?
	if ($context['show_load_time'])
	{
		echo '
			<li>', $txt['page_created'], $context['load_time'], $txt['seconds_with'], $context['load_queries'], $txt['queries'], '</li>';
	}
		echo'
			<li class="copyright">', theme_copyright(), '</li>
			<li class="copyright">Multi Milk 2 Theme by <a href="http://multitalk2.com" target="_blank">MT2-Soft</a>. (Theme &copy; 2010-2011, Gary M. Gadsdon)</li>
			' , !empty($settings['customcopyright']) ? '<li class="copyright">' . $settings['customcopyright'] . '</li>' : '' , '
		</ul>';

	echo '
	</div>&nbsp;</div>
</div>';
}

function template_html_below()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

// This for the Kontera Code. Should I press Up, Up, Down, Down, Left, Right, Left Right, B A Start?
if(!empty($settings['kontera']))
{
  echo'
  ' , $settings['kontera'], '';
}
	echo '
</body></html>';
}

// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree($force_show = false)
{
	global $context, $settings, $options, $shown_linktree;

	// If linktree is empty, just return - also allow an override.
	if (empty($context['linktree']) || (!empty($context['dont_default_linktree']) && !$force_show))
		return;

	echo '
	<div class="navigate_section">';
	
	// BABYLON/CLASSIC
	if(!empty($settings['linktree_style']) && $settings['linktree_style'] == 1)
	{
  	// Each tree item has a URL and name.  Some may have extra_before and extra_after.
  	foreach ($context['linktree'] as $link_num => $tree)
  	{
      echo str_repeat('<img src="' . $settings['images_url'] . '/icons/linktree_main.gif" alt="" />', $link_num), '<img src="' . $settings['images_url'] . '/icons/linktree_side.gif" alt="" />';
  			echo '<img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="" /> ';

  		// Show something before the link?
  		if (isset($tree['extra_before']))
  			echo $tree['extra_before'];

  		// Show the link, including a URL if it should have one.
  		echo '', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '';

  		// Show something after the link...?
  		if (isset($tree['extra_after']))
  			echo $tree['extra_after'];

  		// Don't show a separator for the last one.
  		if ($link_num != count($context['linktree']) - 1)
  			echo '<br />';
  	}
	}
	// VBULLETIN STYLE
	elseif(!empty($settings['linktree_style']) && $settings['linktree_style'] == 2)
	{
    // Folder style or inline?  Inline has a smaller font.
		echo '
    <img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="" /> ';

    // Each tree item has a URL and name.  Some may have extra_before and extra_after.
    foreach ($context['linktree'] as $link_num => $tree)
    {

      if (($link_num == count($context['linktree']) - 1) && count($context['linktree']) > 1)
      echo '<br />
      <img src="' . $settings['images_url'] . '/icons/folder_vb.gif" alt="" />';
      
      // Show something before the link?
      if (isset($tree['extra_before']))
      {
        echo '
         ' , $tree['extra_before'];
      }

      // Show the link, including a URL if it should have one.
      echo '
      ', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '">' . $tree['name'] . '</a>' : $tree['name'], '';
      
      // Show something after the link...?
      if (isset($tree['extra_after']))
      echo $tree['extra_after'];

      // Don't show a separator for the last one.
      if ($link_num < count($context['linktree']) - 2)
      echo ' ' , (!empty($settings['linktree_separator'])) ? $settings['linktree_separator'] : '&#187;' , '';
    }
	}
	// VBULLETIN STYLE 4
	elseif(!empty($settings['linktree_style']) && $settings['linktree_style'] == 3)
	{
    echo'
    <img src="' , $settings['images_url'] , '/icons/home.png" alt="" />';

  	// Each tree item has a URL and name. Some may have extra_before and extra_after.
  	foreach ($context['linktree'] as $link_num => $tree)
  	{
  		// Show the link, including a URL if it should have one.
  		echo $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '"><span>' . $tree['name'] . '</span></a>' : '<span>' . $tree['name'] . '</span>';

  		// Don't show a separator for the last one.
  		if ($link_num != count($context['linktree']) - 1)
  			echo ' <img src="' , $settings['images_url'] , '/icons/arrow.png" alt="" />';
  	}
 	}
	// XENFORO STYLE
	elseif(!empty($settings['linktree_style']) && $settings['linktree_style'] == 4)
	{
    echo'
		<ul class="breadcrumb">';
   	foreach ($context['linktree'] as $link_num => $tree)
    {
      echo'
			<li' , $link_num == 0 ? ' style="margin-left: -20px;"' : '' , '><a href="' . $tree['url'] . '">' . $tree['name'] . '</a></li>';
    }
    echo'
		</ul>';
 	}
	// DEFAULT STYLE
	elseif(empty($settings['linktree_style']))
	{
    echo'
		<ul>';

  	// Each tree item has a URL and name. Some may have extra_before and extra_after.
  	foreach ($context['linktree'] as $link_num => $tree)
  	{
  		echo '
  			<li', ($link_num == count($context['linktree']) - 1) ? ' class="last"' : '', '>';
  
  		// Show something before the link?
  		if (isset($tree['extra_before']))
  			echo $tree['extra_before'];
  
  		// Show the link, including a URL if it should have one.
  		echo $settings['linktree_link'] && isset($tree['url']) ? '
  				<a href="' . $tree['url'] . '"><span>' . $tree['name'] . '</span></a>' : '<span>' . $tree['name'] . '</span>';
  
  		// Show something after the link...?
  		if (isset($tree['extra_after']))
  			echo $tree['extra_after'];
  
  		// Don't show a separator for the last one.
  		if ($link_num != count($context['linktree']) - 1)
  			echo ' ' , (!empty($settings['linktree_separator'])) ? $settings['linktree_separator'] : '&#187;' , '';
  
  		echo '
  			</li>';
  	}
  	echo '
		</ul>';
	}
  echo'
	</div>';

	$shown_linktree = true;
}
// Show the menu up top.  Something like [home] [help] [profile] [logout]...
function template_menu()
{
	global $context, $settings, $options, $scripturl, $txt;
	
	// CURVE
 if(empty($settings['menu_type']))
 {
   echo '
		<div id="main_menu">
			<ul class="dropmenu clearfix">';

	foreach ($context['menu_buttons'] as $act => $button)
	{
		echo '
				<li id="button_', $act, '">
					<a class="', $button['active_button'] ? 'active ' : '', 'firstlevel" href="', $button['href'], '"', isset($button['target']) ? ' target="' . $button['target'] . '"' : '', '><span class="', isset($button['is_last']) ? 'last ' : '', 'firstlevel">' , (!empty($settings['menu_icons'])) ? '<img src="' . $settings['images_url'] . '/menu/' . $act . '.png" alt="" />' : '' , ' ', $button['title'], '</span></a>';
		
    if(!empty($settings['dropdowns']))
		{
  		if (!empty($button['sub_buttons']))
  		{
  			echo '
  					<ul>';
  
  			foreach ($button['sub_buttons'] as $childbutton)
  			{
  				echo '
  						<li>
  							<a href="', $childbutton['href'], '"', isset($childbutton['target']) ? ' target="' . $childbutton['target'] . '"' : '', '><span', isset($childbutton['is_last']) ? ' class="last"' : '', '>', $childbutton['title'], !empty($childbutton['sub_buttons']) ? '...' : '', '</span></a>';
  				// 3rd level menus :)
  				if (!empty($childbutton['sub_buttons']))
  				{
  					echo '
  							<ul>';
  
  					foreach ($childbutton['sub_buttons'] as $grandchildbutton)
  						echo '
  								<li>
  									<a href="', $grandchildbutton['href'], '"', isset($grandchildbutton['target']) ? ' target="' . $grandchildbutton['target'] . '"' : '', '><span', isset($grandchildbutton['is_last']) ? ' class="last"' : '', '>', $grandchildbutton['title'], '</span></a>
  								</li>';
  
  					echo '
  							</ul>';
  				}
  
  				echo '
  						</li>';
  			}
  				echo '
  					</ul>';
  		}
		}
		echo '
				</li>';
	}

	echo '
			</ul>
		</div>';
	}
	
	// CORE
	if(!empty($settings['menu_type']) && $settings['menu_type'] == 1)
	{
    	echo '
	<div class="main_menu">
		<ul class="coremenu clearfix">';

    	foreach ($context['menu_buttons'] as $act => $button)
    	{
        $classes = array();
        if (!empty($button['active_button']))
        $classes[] = 'active';
        if (!empty($button['is_last']))
        $classes[] = 'last';
        /* IE6 can't do multiple class selectors */
        if ($context['browser']['is_ie6'] && !empty($button['active_button']) && !empty($button['is_last']))
        $classes[] = 'lastactive';

        $classes = implode(' ', $classes);

        echo '
			<li id="button_', $act, '"', !empty($classes) ? ' class="' . $classes . '"' : '', '>
				<a title="', !empty($button['alttitle']) ? $button['alttitle'] : $button['title'], '" href="', $button['href'], '"', isset($button['target']) ? ' target="' . $button['target'] . '"' : '', '><span>', ($button['active_button'] ? '<em>' : ''), $button['title'], ($button['active_button'] ? '</em>' : ''), '</span></a>
			</li>';
    	}

	echo '
		</ul>
	</div>';
	}

  // BABYLON
  if(!empty($settings['menu_type']) && $settings['menu_type'] == 2)
  {
  	foreach ($context['menu_buttons'] as $act => $button)
  			echo '
				<a href="', $button['href'], '"><div class="babylonbg">', $button['title'], '</div><div class="babylonbg2"><img src="' . $settings['images_url'] . '/menu/babylon/' . $act . '.gif" alt="" /></div></a>';
  }
  // CLASSIC
  if(!empty($settings['menu_type']) && $settings['menu_type'] == 3)
  {
    echo'
    <div class="classicmenu">';

  	foreach ($context['menu_buttons'] as $act => $button)
  			echo '
				<a href="', $button['href'], '"><div class="classicbg"><img src="' . $settings['images_url'] . '/menu/classic/' . $act . '.gif" alt="" /></div><div class="classicbg2">', $button['title'], '</div></a>';
			echo'
   
   </div>';
  }
  // PLAIN TEXT
  if(!empty($settings['menu_type']) && $settings['menu_type'] == 4)
  {
  	foreach ($context['menu_buttons'] as $act => $button)
  			echo '
				<a href="', $button['href'], '">' . $button['title'] . '</a> ' , empty($button['is_last']) ? '|' : '' , ' ';
  }
}

// Generate a strip of buttons.
function template_button_strip($button_strip, $direction = 'top', $strip_options = array())
{
	global $settings, $context, $txt, $scripturl;

	if (!is_array($strip_options))
		$strip_options = array();

	// Create the buttons...
	$buttons = array();
	foreach ($button_strip as $key => $value)
	{
		if (!isset($value['test']) || !empty($context[$value['test']]))
			$buttons[] = '
				<li><a' . (isset($value['id']) ? ' id="button_strip_' . $value['id'] . '"' : '') . ' class="button_strip_' . $key . (isset($value['active']) ? ' active' : '') . '" href="' . $value['url'] . '"' . (isset($value['custom']) ? ' ' . $value['custom'] : '') . '><span>' . $txt[$value['text']] . '</span></a></li>';
	}

	// No buttons? No button strip either.
	if (empty($buttons))
		return;

	// Make the last one, as easy as possible.
	$buttons[count($buttons) - 1] = str_replace('<span>', '<span class="last">', $buttons[count($buttons) - 1]);

	echo '
		<div class="buttonlist', !empty($direction) ? ' float' . $direction : '', '"', (empty($buttons) ? ' style="display: none;"' : ''), (!empty($strip_options['id']) ? ' id="' . $strip_options['id'] . '"': ''), '>
			<ul>',
				implode('', $buttons), '
			</ul>
		</div>';
}
?>